export default {
    getConnectionData: function (nrorg) {
        const connectionParams = {
            user: process.env.user,
            password: process.env.password,
            host: process.env.host,
            port: process.env.port,
            service: process.env.service,
            dbname: process.env.dbname
        }
        const isSAAS = connectionParams?.dbname?.includes('USR_ORG')
        const isWallet = connectionParams?.user === ('/')
        if (isSAAS || isWallet) {
            return {
                user: '/',
                password: '',
                connectString: isSAAS ? 'USR_ORG_' + nrorg : connectionParams?.dbname,
                externalAuth: true
            }
        }
        return {
            user: connectionParams.user,
            password: connectionParams.password,
            connectString: `${connectionParams.host}:${connectionParams.port}/${connectionParams.dbname}`
        }
    }
}
