import { executeQuery } from '../Connection/QueriesExecutor.js'

const isFirstInsertion = async function (params, autoCommit = true, connectionKey) {
    const result = await executeQuery({
        sql: 'IS_FIRST_INSERTION',
        binds: { ...params },
        rawReturn: true,
        autoCommit: autoCommit,
        connectionKey
    })

    return result
}

const getCurrentBalance = async function (params, autoCommit = true, connectionKey) {
    const result = await executeQuery({
        sql: 'GET_EXTRATOCONS_VRSALDCONEXT',
        binds: { ...params },
        rawReturn: true,
        autoCommit: autoCommit,
        connectionKey
    })

    return result
}

const getNRSEQMOVEXT = async function (params, autoCommit = true, connectionKey) {
    const result = await executeQuery({
        sql: 'GET_NRSEQMOVEXT',
        binds: { ...params },
        rawReturn: true,
        autoCommit: autoCommit,
        connectionKey
    })

    return result
}

const insertExtratoCons = async function (params, autoCommit = true, connectionKey) {
    const result = await executeQuery({
        sql: 'INSERT_EXTRATOCONS',
        binds: { ...params },
        rawReturn: true,
        autoCommit: autoCommit,
        connectionKey
    })

    return result
}

const updateTransaction = async function (paramsTransactionUpdate, autoCommit = true, connectionKey) {
    const result = await executeQuery({
        sql: 'UPDATE_TRANSACAO',
        binds: { ...paramsTransactionUpdate },
        rawReturn: true,
        autoCommit: autoCommit,
        connectionKey
    })

    return result
}

const checkTempRechargeCons = async function (params, autoCommit = true, connectionKey) {
    const result = await executeQuery({
        sql: 'CHECK_TEMP_RECHARGE_CONS',
        binds: { ...params },
        rawReturn: true,
        autoCommit: autoCommit,
        connectionKey
    })

    return result
}

const deleteTempRecharge = async function ({ NRTRANSACAO }, autoCommit = true, connectionKey) {
    const result = await executeQuery({
        sql: 'DELETE_TEMP_RECHARGE',
        binds: { NRTRANSACAO },
        rawReturn: true,
        autoCommit: autoCommit,
        connectionKey
    })

    return result
}

export default { isFirstInsertion, getCurrentBalance, getNRSEQMOVEXT, insertExtratoCons, updateTransaction, checkTempRechargeCons, deleteTempRecharge }