import axios from 'axios'
import { getPaymentApiUrl, getApiFinancData } from './../Controllers/RetailParamsController.js'

const paymentApiRequest = async (uri, data = {}) => {
    const baseUrl = await getPaymentApiUrl()
    const url = baseUrl + uri

    const result = await axios(
        {
            method: 'post',
            url,
            data: data,
            timeout: 5 * 60 * 1000,
        }
    ).then(successResponse => {
        return successResponse
    }).catch(axiosResponse => {
        throw axiosResponse
    })

    return result
}

const cardTokenRequest = async (uri, data = {}) => {
    const baseUrl = await getPaymentApiUrl()
    const url = baseUrl + uri

    const result = await axios(
        {
            method: 'post',
            url,
            data: data,
            timeout: 5 * 60 * 1000,
        }
    ).then(successResponse => {
        return successResponse
    }).catch(axiosResponse => {
        throw axiosResponse
    })

    return result
}

const financApiRequest = async (uri, data = {}) => {
    const financData = await getApiFinancData()
    const baseUrl = financData.URLAPIFINANCEIRO
    const url = baseUrl + uri

    const result = await axios(
        {
            method: 'post',
            url,
            data: data,
            timeout: 5 * 60 * 1000,
            headers: {
                'Emailoper': financData.EMAILOPER_FIN,
                'Senhaoper': financData.SENHAOPER_FIN
            }
        }
    ).then(successResponse => {
        return successResponse
    }).catch(axiosResponse => {
        throw axiosResponse
    })

    return result
}

export { paymentApiRequest, cardTokenRequest, financApiRequest }
