const queries = {
LOGIN: `SELECT PA.CDCLIENTE, PA.CDFILIAL,
    DECODE(CL.IDEXBTPNOMECLIE,'F', CL.NMFANTCLIE, CL.NMRAZSOCCLIE) AS NMFANTCLIE
    FROM CLIENTE CL, PARAVEND PA, CLIENFILIAL CF
    WHERE PA.CDCLIENTE = CL.CDCLIENTE
    AND PA.CDFILIAL = CF.CDFILIAL
    AND PA.CDCLIENTE = CF.CDCLIENTE
    AND CF.IDPERMVENDAFOS = 'S'
    AND PA.IDFILUTSITE = 'S'
    ORDER BY CL.NMFANTCLIE, CL.NMRAZSOCCLIE`,

GET_BALANCE_EXTRACT: `
SELECT FS.CDFAMILISALD, FS.NMFAMILISALD, SC.VRSALDCONFAM
          FROM FAMILIASALDO FS JOIN SALDOCONS SC
                                 ON SC.CDFAMILISALD = FS.CDFAMILISALD
                               JOIN FAMSALDOFILI FF
                                 ON FF.CDFAMILISALD = FS.CDFAMILISALD
         WHERE SC.CDCLIENTE = :CDCLIENTE
           AND SC.CDCONSUMIDOR = :CDCONSUMIDOR
           AND FF.CDFILIAL = :CDFILIAL
           AND FF.IDPERMCARGACRED = 'S'
`,

GET_EXTRACT: `
with SLDOA AS (
    SELECT E.CDCLIENTE, E.CDCONSUMIDOR, E.CDFAMILISALD, E.DTMOVEXTCONS, E.VRSALDCONEXT AS SALDANT
      FROM EXTRATOCONS E,
             (SELECT E.CDCLIENTE, E.CDCONSUMIDOR, E.CDFAMILISALD, MAX(E.DTMOVEXTCONS) AS DTMOVEXTCONS
                FROM EXTRATOCONS E, CONSUMIDOR C
               WHERE C.CDCLIENTE     = :P_CDCLIENTE
                 AND C.CDCONSUMIDOR  = :P_CDCONSUMIDOR
                 AND E.CDCLIENTE     = C.CDCLIENTE
                 AND E.CDCONSUMIDOR  = C.CDCONSUMIDOR
                 AND TRUNC(TO_DATE(E.DTMOVEXTCONS)) < TO_DATE(:P_DTEXTRATOINI,'DD/MM/YYYY')
               GROUP BY E.CDCLIENTE, E.CDCONSUMIDOR, E.CDFAMILISALD
             ) D
     WHERE E.CDCLIENTE    = D.CDCLIENTE
       AND E.CDCONSUMIDOR = D.CDCONSUMIDOR
       AND E.CDFAMILISALD = D.CDFAMILISALD
       AND E.DTMOVEXTCONS = D.DTMOVEXTCONS)

SELECT FS.CDFAMILISALD, FS.NMFAMILISALD AS IDPAI, EX.DTMOVEXTCONS AS DATAMOVEXT,
       EX.CDCLIENTE||EX.CDCONSUMIDOR||EX.CDFAMILISALD||EX.DTMOVEXTCONS||EX.NRSEQMOVEXT AS ID,
       EX.VRSALDCONEXT AS SALDODISP, TO_CHAR(EX.DTMOVEXTCONS,'DD/MM/YY hh24:mi') AS DTMOVEXTCONS,
       DECODE(EX.IDTPMOVEXT, 'V', NVL(TRUNC(SUM(((IV.QTPRODVEND * IV.VRUNITVEND)+IV.VRACRITVEND-IV.VRDESITVEND)), 2), EX.VRMOVEXTCONS), EX.VRMOVEXTCONS) AS MOVIMENTACAO,
       SLDOA.SALDANT, EX.IDTPMOVEXT AS IDTPMOVEXT, '- '||DECODE(EX.IDTPMOVEXT, 'V', PR.NMPRODUTO, EX.DSOPEEXTCONS) DSMOVIMENTACAO, '- '||DECODE(EX.IDTPMOVEXT, 'V', PR.NMPRODUTO, EX.DSOPEEXTCONS) DSMOVIMENTACAOM, 'N' AS PARENT
  FROM CLIENTE CLI, FAMILIASALDO FS, CONSUMIDOR C, EXTRATOCONS EX,
       TIPOCONS T, TIPOCONSCLI TC, VENDA VE, SERVICO SE,
       ITEMVENDA IV, PRODUTO PR, SLDOA
 WHERE C.CDCLIENTE     = :P_CDCLIENTE
   AND C.CDCONSUMIDOR  = :P_CDCONSUMIDOR
   AND EX.CDCLIENTE    = C.CDCLIENTE
   AND EX.CDCLIENTE    = CLI.CDCLIENTE
   AND EX.CDCONSUMIDOR = C.CDCONSUMIDOR
   AND EX.CDFAMILISALD = FS.CDFAMILISALD
   AND EX.CDFAMILISALD = IV.CDFAMILISALD
   AND C.CDTIPOCONS    = T.CDTIPOCONS
   AND EX.CDCONSUMIDOR = SLDOA.CDCONSUMIDOR (+)
   AND EX.CDFAMILISALD = SLDOA.CDFAMILISALD (+)
   AND C.CDCLIENTE     = TC.CDCLIENTE       (+)
   AND C.CDTIPOCONS    = TC.CDTIPOCONS      (+)
   AND VE.CDSERVFILI   = SE.CDSERVFILI      (+)
   AND VE.CDFILIAL     = SE.CDFILIAL        (+)
   AND EX.CDCLIENTE    = VE.CDCLIENTE       (+)
   AND EX.CDCONSUMIDOR = VE.CDCONSUMIDOR    (+)
   AND EX.CDFILIAL     = VE.CDFILIAL        (+)
   AND EX.CDCAIXA      = VE.CDCAIXA         (+)
   AND EX.NRSEQVENDA   = VE.NRSEQVENDA      (+)
   AND VE.CDFILIAL = IV.CDFILIAL            (+)
   AND VE.CDCAIXA = IV.CDCAIXA              (+)
   AND VE.NRSEQVENDA = IV.NRSEQVENDA        (+)
   AND IV.CDPRODUTO = PR.CDPRODUTO          (+)
   AND (TRUNC(TO_DATE(EX.DTMOVEXTCONS)) BETWEEN TO_DATE(:P_DTEXTRATOINI,'DD/MM/YYYY') AND TO_DATE(:P_DTEXTRATOFIN,'DD/MM/YYYY'))
 GROUP BY FS.CDFAMILISALD, FS.NMFAMILISALD, EX.VRMOVEXTCONS,
       EX.VRSALDCONEXT, TO_CHAR(EX.DTMOVEXTCONS,'DD/MM/YY hh24:mi'),TO_CHAR(EX.DTMOVEXTCONS,'DD/MM/YY'), EX.DTMOVEXTCONS,
       EX.CDCLIENTE||EX.CDCONSUMIDOR||EX.CDFAMILISALD||EX.DTMOVEXTCONS||EX.NRSEQMOVEXT,
       SLDOA.SALDANT, EX.IDTPMOVEXT, DECODE(EX.IDTPMOVEXT, 'V', PR.NMPRODUTO, EX.DSOPEEXTCONS)

 UNION

SELECT FS.CDFAMILISALD, FS.NMFAMILISALD AS IDPAI, EX.DTMOVEXTCONS AS DATAMOVEXT,
       EX.CDCLIENTE||EX.CDCONSUMIDOR||EX.CDFAMILISALD||EX.DTMOVEXTCONS||EX.NRSEQMOVEXT AS ID,
       EX.VRSALDCONEXT AS SALDODISP, TO_CHAR(EX.DTMOVEXTCONS,'DD/MM/YY') AS DTMOVEXTCONS,
       ROUND(EX.VRMOVEXTCONS, 2) AS MOVIMENTACAO,
       SLDOA.SALDANT, EX.IDTPMOVEXT AS IDTPMOVEXT, TO_CHAR(EX.DTMOVEXTCONS,'DD/MM/YY hh24:mi')||DECODE(EX.IDTPMOVEXT, 'C', ' - CRÉDITO', 'V', ' - VENDA', 'D', ' - DÉBITO', '') AS DSMOVIMENTACAO, TO_CHAR(EX.DTMOVEXTCONS,'DD/MM/YY')||DECODE(EX.IDTPMOVEXT, 'C', ' - CRÉDITO', 'V', ' - VENDA', 'D', ' - DÉBITO', '') AS DSMOVIMENTACAOM, 'S' AS PARENT
  FROM EXTRATOCONS EX, FAMILIASALDO FS, SLDOA
 WHERE EX.CDCLIENTE     = :P_CDCLIENTE
   AND EX.CDCONSUMIDOR  = :P_CDCONSUMIDOR
   AND EX.CDFAMILISALD = FS.CDFAMILISALD
   AND (TRUNC(TO_DATE(EX.DTMOVEXTCONS)) BETWEEN TO_DATE(:P_DTEXTRATOINI,'DD/MM/YYYY') AND TO_DATE(:P_DTEXTRATOFIN,'DD/MM/YYYY'))
   AND EX.CDCONSUMIDOR = SLDOA.CDCONSUMIDOR (+)
   AND EX.CDFAMILISALD = SLDOA.CDFAMILISALD (+)

 ORDER BY 1, 3, 2, 11 DESC
`,

GET_BASE_INFO: `
    SELECT PA.NRORG, PA.CDCLIENTE, PA.CDFILIAL,
        DECODE(CL.IDEXBTPNOMECLIE,'F', CL.NMFANTCLIE, CL.NMRAZSOCCLIE) AS NMFANTCLIE
      FROM CLIENTE CL, PARAVEND PA, CLIENFILIAL CF
      WHERE PA.CDCLIENTE = CL.CDCLIENTE
        AND PA.CDFILIAL = CF.CDFILIAL
        AND PA.CDCLIENTE = CF.CDCLIENTE
        AND CF.IDPERMVENDAFOS = 'S'
        AND PA.IDFILUTSITE = 'S'
      ORDER BY CL.NMFANTCLIE, CL.NMRAZSOCCLIE
`,

// GET_BASE_INFO_SAPORE: `
//     SELECT PA.NRORG, PA.CDCLIENTE, PA.CDFILIAL,
//         DECODE(CL.IDEXBTPNOMECLIE,'F', CL.NMFANTCLIE, CL.NMRAZSOCCLIE) AS NMFANTCLIE
//       FROM CLIENTE CL, PARAVEND PA, CLIENFILIAL CF
//       WHERE PA.CDCLIENTE = CL.CDCLIENTE
//         AND PA.CDFILIAL = CF.CDFILIAL
//         AND PA.CDCLIENTE = CF.CDCLIENTE
//         AND CF.IDPERMVENDAFOS = 'S'
//         AND CF.IDCLIUTSITE = 'S'
//       ORDER BY CL.NMFANTCLIE, CL.NMRAZSOCCLIE
// `,

GET_CONSUMER_BY_LOGIN: `
    SELECT C.CDCLIENTE, C.CDCONSUMIDOR, C.NMCONSUMIDOR, C.CDSENHACONSMD5,
            C.NMLOGINCONS, C.DSEMAILCONS, CL.NMFANTCLIE, C.CDTIPOCONS,
            C.NRCPFRESPCON, C.NMRESPCONS
        FROM CONSUMIDOR C, CLIENTE CL
        WHERE C.CDCLIENTE = :CDCLIENTE
            AND (
                UPPER(C.NMLOGINCONS) = UPPER(:TYPEDLOGIN)
                OR C.CDIDCONSUMID = :TYPEDLOGIN
                OR UPPER(C.DSEMAILCONS) = UPPER(:TYPEDLOGIN)
                OR C.CDCONSUMIDOR = :TYPEDLOGIN
                OR C.NRCPFRESPCON = :TYPEDLOGIN
            )
            AND C.CDSENHACONSMD5 = :CDSENHACONSMD5
            AND C.CDCLIENTE = CL.CDCLIENTE
`,

// Query de produção
GET_CONSUMER_BY_LOGIN_SAPORE: `
    SELECT C.CDCLIENTE, CF.CDFILIAL, C.CDCONSUMIDOR, C.NMCONSUMIDOR, C.CDSENHACONSMD5,
            C.NMLOGINCONS, C.DSEMAILCONS, CL.NMFANTCLIE, C.CDTIPOCONS,
            C.NRCPFRESPCON, C.NMRESPCONS
        FROM CONSUMIDOR C, CLIENTE CL, CLIENFILIAL CF
    WHERE C.CDCLIENTE = :CDCLIENTE
        AND (
            UPPER(C.NMLOGINCONS) = UPPER(:TYPEDLOGIN)
            OR C.CDIDCONSUMID = :TYPEDLOGIN
            OR UPPER(C.DSEMAILCONS) = UPPER(:TYPEDLOGIN)
            OR C.CDCONSUMIDOR = :TYPEDLOGIN
            OR C.NRCPFRESPCON = :TYPEDLOGIN
        )
    AND C.CDSENHACONSMD5 = :CDSENHACONSMD5
    AND C.CDCLIENTE = CL.CDCLIENTE
    AND CF.CDCLIENTE = C.CDCLIENTE
    AND CF.IDCLIUTSITE = 'S'
`,

// Query apenas para teste
GET_CONSUMER_BY_LOGIN_SAPORE_DEV: `
    SELECT C.CDCLIENTE, CF.CDFILIAL, C.CDCONSUMIDOR, C.NMCONSUMIDOR, C.CDSENHACONSMD5,
            C.NMLOGINCONS, C.DSEMAILCONS, CL.NMFANTCLIE, C.CDTIPOCONS,
            C.NRCPFRESPCON, C.NMRESPCONS
        FROM CONSUMIDOR C, CLIENTE CL, CLIENFILIAL CF, PARAVEND PV
    WHERE C.CDCLIENTE = :CDCLIENTE
        AND (
            UPPER(C.NMLOGINCONS) = UPPER(:TYPEDLOGIN)
            OR C.CDIDCONSUMID = :TYPEDLOGIN
            OR UPPER(C.DSEMAILCONS) = UPPER(:TYPEDLOGIN)
            OR C.CDCONSUMIDOR = :TYPEDLOGIN
            OR C.NRCPFRESPCON = :TYPEDLOGIN
        )
    AND C.CDSENHACONSMD5 = :CDSENHACONSMD5
    AND C.CDCLIENTE = CL.CDCLIENTE
    AND CF.CDCLIENTE = C.CDCLIENTE
    AND PV.CDFILIAL = CF.CDFILIAL
    AND PV.IDFILUTSITE = 'S'
`,

GET_CONSUMER_BY_PARENT: `
        SELECT C.CDCLIENTE, C.CDSENHACONSMD5, C.NMLOGINCONS, C.NMCONSUMIDOR,
               C.DSEMAILCONS, CL.NMFANTCLIE, C.CDTIPOCONS, C.CDCONSUMIDOR,
               C.NRCPFRESPCON, C.NMRESPCONS,  C.IDSITCONSUMI,
               ('dollar-sign') as icon,
               TO_CHAR((NVL(SUM(SC.VRSALDCONFAM), 0)), 'FM999G999G990D90', 'nls_numeric_characters='',.''') AS VRSALDCONFAM,
               TO_CHAR((NVL(SUM(SC.VRSALDCONFAM), 0)), 'FM999G999G990D90', 'nls_numeric_characters='',.''') AS balance
          FROM CONSUMIDOR C JOIN CLIENTE CL
                              ON C.CDCLIENTE = CL.CDCLIENTE

                            JOIN TIPOCONS TC
                              ON C.CDTIPOCONS = TC.CDTIPOCONS

                       LEFT JOIN (SELECT * FROM SALDOCONS SC
                                    JOIN FAMSALDOFILI FS
                                      ON FS.CDFAMILISALD = SC.CDFAMILISALD
                                   WHERE FS.CDFILIAL = :CDFILIAL) SC
                              ON C.CDCLIENTE = SC.CDCLIENTE
                             AND C.CDCONSUMIDOR = SC.CDCONSUMIDOR

         WHERE C.CDCLIENTE = :CDCLIENTE
           AND C.NRCPFRESPCON = :NRCPFRESPCON
           AND TC.IDUTRECARGAAPP = 'S'
        GROUP BY C.CDCLIENTE, C.CDSENHACONSMD5, C.NMLOGINCONS, C.NMCONSUMIDOR,
                 C.DSEMAILCONS, CL.NMFANTCLIE, C.CDTIPOCONS, C.CDCONSUMIDOR,
                 C.NRCPFRESPCON, C.NMRESPCONS, C.IDSITCONSUMI
       ORDER BY C.CDCONSUMIDOR ASC
    `,

    GET_MENU_VISIBILITY: `SELECT COALESCE (CS.CONSULTASALDO, DS.CONSULTASALDO) AS CONSULTASALDO,
       COALESCE (CS.CONSULTAEXTRATO, DS.CONSULTAEXTRATO) AS CONSULTAEXTRATO,
       COALESCE (CS.RECARREGACARTAO, DS.RECARREGACARTAO) AS RECARREGACARTAO,
       COALESCE (CS.BLOQUEACARTAO, DS.BLOQUEACARTAO) AS BLOQUEACARTAO,
       COALESCE (CS.RESTRICAOALIMENTAR, DS.RESTRICAOALIMENTAR) AS RESTRICAOALIMENTAR,
       COALESCE (CS.ATUALIZACADASTRO,DS.ATUALIZACADASTRO) AS ATUALIZACADASTRO,
       COALESCE (CS.TROCASENHA, DS.TROCASENHA) AS TROCASENHA,
       COALESCE (CS.VISUALIZACARDAPIO, DS.VISUALIZACARDAPIO) AS VISUALIZACARDAPIO,
       COALESCE (CS.RESTRICAOVALOR, DS.RESTRICAOVALOR) AS RESTRICAOVALOR,
       COALESCE (CS.FALECONOSCO, DS.FALECONOSCO) AS FALECONOSCO,
       COALESCE (CS.RECARGAAUTOCARTAO, DS.RECARGAAUTOCARTAO) AS RECARGAAUTOCARTAO,
       COALESCE (CS.EDITACARTAO, DS.EDITACARTAO) AS EDITACARTAO,
       COALESCE (CS.IDUTILBOLNUTRI, DS.IDUTILBOLNUTRI) AS IDUTILBOLNUTRI

       FROM

       (SELECT T.CONSULTASALDO, T.CONSULTAEXTRATO, T.RECARREGACARTAO, T.BLOQUEACARTAO, T.RESTRICAOALIMENTAR, T.ATUALIZACADASTRO,
       T.TROCASENHA, T.VISUALIZACARDAPIO, T.RESTRICAOVALOR, T.FALECONOSCO, T.RECARGAAUTOCARTAO, T.EDITACARTAO, P.IDUTILBOLNUTRI
       FROM TIPOCONSCLI T, PARAVEND P
       WHERE T.CDCLIENTE = :CDCLIENTE
       AND T.CDTIPOCONS = :CDTIPOCONS
       AND P.CDFILIAL = :CDFILIAL) CS,

       (SELECT PN.CONSULTASALDO, PN.CONSULTAEXTRATO, PN.RECARREGACARTAO, PN.BLOQUEACARTAO, PN.RESTRICAOALIMENTAR, PN.ATUALIZACADASTRO,
       PN.TROCASENHA, PN.VISUALIZACARDAPIO, PN.RESTRICAOVALOR, PN.FALECONOSCO, PN.RECARGAAUTOCARTAO, PN.EDITACARTAO, PV.IDUTILBOLNUTRI
       FROM PARAMNOCASH PN, PARAVEND PV
       WHERE PV.CDFILIAL = :CDFILIAL) DS
`,

GET_CONSUMER_DETAILS: `
        SELECT CS.CDCLIENTE, CS.CDCONSUMIDOR, CS.NMCONSUMIDOR, CS.NRCPFRESPCON,
               PA.NMPAIS, ES.SGESTADO, MU.NMMUNICIPIO, CS.DSENDECONS,
               CS.NMBAIRCONS, CS.NRCEPCONS,
               -- CS.NRTELECONS, CS.NRTELE2CONS,
               CS.NRCELULARCONS, CS.NRENDECONS, CS.DSCOMPLENDECONS,
               CS.DSEMAILCONS, CS.IDSEXOCONS, CS.DSREFERENDECONS, CS.CDPAIS,
               CS.CDMUNICIPIO, CS.DTNASCCONS, CS.NMRESPCONS,
               MU.CDDDDMUNICIP, CS.HABENVNOTIF, CS.HABENVEMAIL, CS.CDTIPOCONS, CS.NMLOGINCONS
          FROM CONSUMIDOR CS LEFT JOIN PAIS PA
                                    ON PA.CDPAIS = CS.CDPAIS

                             LEFT JOIN ESTADO ES
                                    ON ES.CDPAIS = CS.CDPAIS
                                   AND ES.SGESTADO = CS.SGESTADO

                             LEFT JOIN MUNICIPIO MU
                                    ON MU.CDMUNICIPIO = CS.CDMUNICIPIO
                                   AND MU.SGESTADO = ES.SGESTADO
                                   AND MU.CDPAIS = ES.CDPAIS

         WHERE CDCLIENTE = :CDCLIENTE
           AND CDCONSUMIDOR = :CDCONSUMIDOR
    `,
    GET_ALL_FILIAIS: `
        SELECT CF.CDCLIENTE, F.CDFILIAL, F.NMFILIAL, V.CDCAIXA, CX.CDLOJA, CX.NRCONFTELA FROM FILIAL F
        JOIN CLIENFILIAL CF ON CF.CDFILIAL = F.CDFILIAL
        JOIN PARAVEND P ON P.CDFILIAL = F.CDFILIAL
          AND P.CDCLIENTE = CF.CDCLIENTE
        JOIN VENDEDOR V ON V.CDVENDEDOR = P.CDVENDEDOR
          AND V.CDFILIAL = F.CDFILIAL
        JOIN CAIXA CX ON CX.CDFILIAL = F.CDFILIAL
          AND CX.CDCAIXA = V.CDCAIXA
        WHERE CF.CDCLIENTE = :CDCLIENTE
        AND V.CDCAIXA IS NOT NULL
       `,
       GET_CREDIT_CARD:`
       SELECT C.IDTPCARTCRED, C.DSTOKEN, B.NMBANDEIRA, B.IDESITEF,
              B.NRSEQBANDEIRA, C.NRULTNUM, C.CDCARTCRED, C.NMTITULAR,
              C.DTEXPIRACAO, C.CDCLIENTE, C.CDCONSUMIDOR, T.CDTIPORECE, T.IDTIPORECE
         FROM CARTCREDCONS C
         JOIN BANDEIRAESITEF B ON C.NRSEQBANDEIRA = B.NRSEQBANDEIRA
         JOIN TIPORECE T ON B.CDTIPORECE = T.CDTIPORECE
        WHERE C.CDCLIENTE = :CDCLIENTE
        AND C.CDCONSUMIDOR IN (SELECT CDCONSUMIDOR
                               FROM CONSUMIDOR
                               WHERE NRCPFRESPCON = (SELECT NRCPFRESPCON
                                                     FROM CONSUMIDOR
                                                     WHERE CDCLIENTE = :CDCLIENTE
                                                     AND CDCONSUMIDOR = :CDCONSUMIDOR))
       `,

GET_PRODUCT_RESTRICTIONS: `
       SELECT FS.CDFAMILISALD AS ID, NULL AS IDPAI, FS.NMFAMILISALD AS DSRESTRICAO,
              NULL AS QTCONSDIARAL, NULL AS CDPRODUTO, NULL AS QTCONSDIARALFIELD, NULL AS IDBLOQDIARAL
         FROM FAMILIASALDO FS, FAMSALDOFILI FF
        WHERE FF.CDFILIAL = :CDFILIAL
          AND FF.CDFAMILISALD = FS.CDFAMILISALD

       UNION ALL

       SELECT (PR.CDFILIAL||PR.CDCLIENTE||PR.CDCONSUMIDOR||PR.CDFAMILISALD||PR.CDPRODUTO) AS ID,
              CDFAMILISALD AS IDPAI, P.NMPRODUTO AS DSRESTRICAO, QTCONSDIARAL,
              PR.CDPRODUTO, QTCONSDIARAL AS QTCONSDIARALFIELD, PR.IDBLOQDIARAL
         FROM PRODRALIMENT PR, PRODUTO P
        WHERE PR.CDPRODUTO = P.CDPRODUTO
          AND PR.CDFILIAL = :CDFILIAL
          AND PR.CDCLIENTE = :CDCLIENTE
          AND PR.CDCONSUMIDOR = :CDCONSUMIDOR 
`,

GET_CONSUMER_PRODUCT_RESTRICTIONS: `
    SELECT PR.CDFILIAL, PR.CDCLIENTE, PR.CDCONSUMIDOR,
            PR.CDFAMILISALD, P.NMPRODUTO, PR.QTCONSDIARAL,
            PR.IDBLOQDIARAL, PR.CDPRODUTO
        FROM PRODRALIMENT PR, PRODUTO P
        WHERE PR.CDFILIAL = :CDFILIAL
            AND PR.CDCLIENTE = :CDCLIENTE
            AND PR.CDCONSUMIDOR = :CDCONSUMIDOR
            AND PR.CDPRODUTO = P.CDPRODUTO
`,

CHECK_PRODUCT_RESTRICTION: `
    SELECT PR.CDFILIAL, PR.CDCLIENTE, PR.CDCONSUMIDOR,
            PR.CDFAMILISALD, P.NMPRODUTO, PR.QTCONSDIARAL,
            PR.CDPRODUTO
        FROM PRODRALIMENT PR, PRODUTO P
        WHERE PR.CDFILIAL = :CDFILIAL
            AND PR.CDCLIENTE = :CDCLIENTE
            AND PR.CDCONSUMIDOR = :CDCONSUMIDOR
            AND PR.CDPRODUTO = :CDPRODUTO
            AND PR.CDFAMILISALD = :CDFAMILISALD
            AND PR.CDPRODUTO = P.CDPRODUTO
`,

GET_CONSUMER_FAMILIES: `
       SELECT FS.CDFAMILISALD, FS.NMFAMILISALD
         FROM FAMSALDOFILI FF JOIN FAMILIASALDO FS
              ON FS.CDFAMILISALD = FF.CDFAMILISALD
         WHERE FF.CDFILIAL = :CDFILIAL
`,

GET_FAMILY_PRODUCTS: `
      SELECT DISTINCT P.CDPRODUTO, P.NMPRODUTO
          FROM FAMSALDOPROD F 
          JOIN PRODUTO P
              ON F.CDPRODUTO = P.CDPRODUTO
              JOIN ITMENUCONFTE I
              ON F.CDFILIAL = I.CDFILIAL
              AND F.CDPRODUTO = I.CDIDENTBUTON
	WHERE F.CDFILIAL = :CDFILIAL
        AND F.CDFAMILISALD = :CDFAMILISALD
        AND I.IDTPBUTTON = '1'
        AND I.IDTPBUTONAUX = '2'
        AND P.IDPRODATIVPR = 'S'
        AND F.CDPRODUTO NOT IN (SELECT CDPRODUTO
                                   FROM PRODRALIMENT
                                 WHERE CDFILIAL = :CDFILIAL
                                   AND CDFAMILISALD = :CDFAMILISALD
                                   AND CDCLIENTE = :CDCLIENTE
                                   AND CDCONSUMIDOR = :CDCONSUMIDOR)
       ORDER BY P.NMPRODUTO
`,

GET_VALUE_RESTRICTION: `
       SELECT RA.CDCLIENTE, RA.CDCONSUMIDOR, RA.CDFAMILISALD, FS.NMFAMILISALD,
               NVL(RA.VRCONSDIARAL, 0) AS VRCONSDIARAL, RA.DTULTATURALIM
          FROM RALIMENT RA JOIN FAMILIASALDO FS
                             ON RA.CDFAMILISALD = FS.CDFAMILISALD
       WHERE RA.CDFILIAL = :CDFILIAL
        AND RA.CDCLIENTE = :CDCLIENTE
        AND RA.CDCONSUMIDOR = :CDCONSUMIDOR
        AND RA.CDFAMILISALD = :CDFAMILISALD
`,

ADD_VALUE_RESTRICTION: `
        INSERT INTO RALIMENT
        (CDFILIAL, CDCLIENTE, CDCONSUMIDOR, CDFAMILISALD,
         IDSALDNEGRAL, VRCONSDIARAL, DTULTATURALIM)
        VALUES
        (:CDFILIAL, :CDCLIENTE, :CDCONSUMIDOR, :CDFAMILISALD,
         'N', :VRCONSDIARAL, SYSDATE)
`,

ADD_PRODUCT_RESTRICTION: `
       INSERT INTO PRODRALIMENT
        (CDFILIAL, CDCLIENTE, CDCONSUMIDOR, CDFAMILISALD,
         CDPRODUTO, QTCONSDIARAL, IDBLOQDIARAL)
       VALUES
        (:CDFILIAL, :CDCLIENTE, :CDCONSUMIDOR, :CDFAMILISALD,
         :CDPRODUTO, :QTCONSDIARAL, :IDBLOQDIARAL)
`,

UPDATE_PRODUCT_RESTRICTION: `
       UPDATE PRODRALIMENT
           SET QTCONSDIARAL = :QTCONSDIARAL,
               IDBLOQDIARAL = :IDBLOQDIARAL
         WHERE CDCLIENTE = :CDCLIENTE
           AND CDCONSUMIDOR = :CDCONSUMIDOR
           AND CDFAMILISALD = :CDFAMILISALD
           AND CDPRODUTO = :CDPRODUTO
`,

DELETE_PRODUCT_RESTRICTION: `
       DELETE
          FROM PRODRALIMENT
         WHERE CDCLIENTE = :CDCLIENTE
           AND CDCONSUMIDOR = :CDCONSUMIDOR
           AND CDFAMILISALD = :CDFAMILISALD
           AND CDPRODUTO = :CDPRODUTO
`,

GET_CLIENT_BRANCH_LIST: `
    SELECT CDFILIAL
        FROM CLIENFILIAL
        WHERE CDCLIENTE = :CDCLIENTE
`,

GET_CARD_STATUS: `
       SELECT IDSITCONSUMI
          FROM CONSUMIDOR
         WHERE CDCONSUMIDOR = :CDCONSUMIDOR
           AND CDCLIENTE = :CDCLIENTE
`,

TOGGLE_CARD_BLOCK: `
       UPDATE CONSUMIDOR
           SET IDSITCONSUMI = :IDSITCONSUMI
         WHERE CDCLIENTE = :CDCLIENTE
           AND CDCONSUMIDOR = :CDCONSUMIDOR
`,

GET_VALUE_RESTRICTIONS: `
       SELECT RA.CDCLIENTE, RA.CDCONSUMIDOR, RA.CDFAMILISALD, FS.NMFAMILISALD,
               NVL(RA.VRCONSDIARAL, 0) AS VRCONSDIARAL, RA.DTULTATURALIM
          FROM RALIMENT RA JOIN FAMILIASALDO FS
                             ON RA.CDFAMILISALD = FS.CDFAMILISALD
         WHERE RA.CDFILIAL = :CDFILIAL
           AND RA.CDCLIENTE = :CDCLIENTE
           AND RA.CDCONSUMIDOR = :CDCONSUMIDOR
           AND RA.VRCONSDIARAL IS NOT NULL
`,

UPDATE_VALUE_RESTRICTION: `
       UPDATE RALIMENT
           SET VRCONSDIARAL = :VRCONSDIARAL,
               DTULTATURALIM = SYSDATE
          WHERE CDFILIAL = :CDFILIAL
           AND CDCLIENTE = :CDCLIENTE
           AND CDCONSUMIDOR = :CDCONSUMIDOR
           AND CDFAMILISALD = :CDFAMILISALD
`,

GET_UNRESTRICTED_FAMILIES: `
       SELECT FS.CDFAMILISALD, FS.NMFAMILISALD, '0,00' AS VRSALDCONFAM
          FROM FAMSALDOFILI FF JOIN FAMILIASALDO FS
                                 ON FS.CDFAMILISALD = FF.CDFAMILISALD
         WHERE FF.CDFILIAL = :CDFILIAL
           AND FF.CDFAMILISALD NOT IN 
                                   (SELECT CDFAMILISALD
                                          FROM RALIMENT
                                     WHERE CDFILIAL = :CDFILIAL
                                          AND CDCLIENTE = :CDCLIENTE
                                          AND CDCONSUMIDOR = :CDCONSUMIDOR
                                          AND VRCONSDIARAL IS NOT NULL)
`,

GET_VALUE_RESTRICTION: `
       SELECT RA.CDCLIENTE, RA.CDCONSUMIDOR, RA.CDFAMILISALD, FS.NMFAMILISALD,
               NVL(RA.VRCONSDIARAL, 0) AS VRCONSDIARAL, RA.DTULTATURALIM
          FROM RALIMENT RA JOIN FAMILIASALDO FS
                             ON RA.CDFAMILISALD = FS.CDFAMILISALD
         WHERE RA.CDFILIAL = :CDFILIAL
           AND RA.CDCLIENTE = :CDCLIENTE
           AND RA.CDCONSUMIDOR = :CDCONSUMIDOR
           AND RA.CDFAMILISALD = :CDFAMILISALD
`,

ADD_VALUE_RESTRICTION: `
       INSERT INTO RALIMENT
        (CDFILIAL, CDCLIENTE, CDCONSUMIDOR, CDFAMILISALD,
         IDSALDNEGRAL, VRCONSDIARAL, DTULTATURALIM)
        VALUES
        (:CDFILIAL, :CDCLIENTE, :CDCONSUMIDOR, :CDFAMILISALD,
         'N', :VRCONSDIARAL, SYSDATE)
`,

GET_RESTRICTED_PRODUCTS: `
        SELECT CDPRODUTO
          FROM PRODRALIMENT
         WHERE CDFILIAL = :CDFILIAL
           AND CDCLIENTE = :CDCLIENTE
           AND CDCONSUMIDOR = :CDCONSUMIDOR
           AND CDFAMILISALD = :CDFAMILISALD
`,

DELETE_VALUE_RESTRICTION: `
        DELETE FROM RALIMENT
         WHERE CDFILIAL = :CDFILIAL
           AND CDCLIENTE = :CDCLIENTE
           AND CDCONSUMIDOR = :CDCONSUMIDOR
           AND CDFAMILISALD = :CDFAMILISALD
`,
GET_AUTO_RECHARGE_DETAILS: `
        SELECT FF.CDFAMILISALD, FS.NMFAMILISALD, NVL(RA.VRMINSALDORRECAR, 0.00) AS VRMINSALDORRECAR, NVL(RA.VRRECARGARAUT, 0.00) AS VRRECARGARAUT
          FROM FAMSALDOFILI FF
          LEFT JOIN (SELECT CDFAMILISALD, VRMINSALDORRECAR, VRRECARGARAUT
                       FROM RECARGAAUTO
                      WHERE CDCLIENTE = :CDCLIENTE
                        AND CDCONSUMIDOR = :CDCONSUMIDOR) RA
                 ON RA.CDFAMILISALD = FF.CDFAMILISALD
               JOIN FAMILIASALDO FS
                 ON FS.CDFAMILISALD = FF.CDFAMILISALD
         WHERE FS.IDATIVO = 'S'
           AND FF.CDFILIAL = :CDFILIAL
           AND FF.IDPERMCARGACRED = 'S'
`,

GET_AUTO_RECHARGE_INFO: `
        SELECT RA.CDFAMILISALD, RA.VRMINSALDORRECAR, RA.VRRECARGARAUT
          FROM RECARGAAUTO RA
         WHERE RA.CDCLIENTE = :CDCLIENTE
           AND RA.CDCONSUMIDOR = :CDCONSUMIDOR
           AND RA.CDFAMILISALD = :CDFAMILISALD
`,

INSERT_AUTO_RECHARGE: `
        INSERT INTO RECARGAAUTO(
            CDCLIENTE, CDCONSUMIDOR, CDFAMILISALD, VRMINSALDORRECAR, VRRECARGARAUT
        )
        VALUES (
            :CDCLIENTE, :CDCONSUMIDOR, :CDFAMILISALD, :VRMINSALDORRECAR, :VRRECARGARAUT
        )
`,

UPDATE_AUTO_RECHARGE: `
    UPDATE RECARGAAUTO
        SET VRMINSALDORRECAR = :VRMINSALDORRECAR,
            VRRECARGARAUT = :VRRECARGARAUT
      WHERE CDCLIENTE = :CDCLIENTE
        AND CDCONSUMIDOR = :CDCONSUMIDOR
        AND CDFAMILISALD = :CDFAMILISALD
`,

GET_AUTO_RECHARGE_CONSUMERS: `
    SELECT R.CDCLIENTE, R.CDCONSUMIDOR, R.CDFAMILISALD, R.VRMINSALDORRECAR,
            R.VRRECARGARAUT, NVL(S.VRSALDCONFAM, 0) AS VRSALDCONFAM,
            C.DSTOKEN, C.CARTCREDMD5, C.NRULTNUM, C.NMTITULAR, C.DTEXPIRACAO,
            B.IDESITEF, T.CDTIPORECE, CON.HABENVEMAIL
        FROM RECARGAAUTO R
        LEFT JOIN (SELECT CDCLIENTE, CDCONSUMIDOR, CDFAMILISALD, VRSALDCONFAM
                    FROM SALDOCONS) S
        ON S.CDCLIENTE = R.CDCLIENTE
        AND S.CDCONSUMIDOR = R.CDCONSUMIDOR
        AND S.CDFAMILISALD = R.CDFAMILISALD
        LEFT JOIN CARTCREDCONS C ON C.CDCLIENTE = R.CDCLIENTE
                                AND C.CDCONSUMIDOR = R.CDCONSUMIDOR
                                AND C.IDTPCARTCRED = 'P'
        LEFT JOIN BANDEIRAESITEF B ON B.NRSEQBANDEIRA = C.NRSEQBANDEIRA
        LEFT JOIN TIPORECE T ON T.CDTIPORECE = B.CDTIPORECE
        JOIN CONSUMIDOR CON ON R.CDCONSUMIDOR = CON.CDCONSUMIDOR AND R.CDCLIENTE = CON.CDCLIENTE
        WHERE R.VRMINSALDORRECAR >= 0
        AND R.VRRECARGARAUT > 0
        AND NVL(S.VRSALDCONFAM, 0) < R.VRMINSALDORRECAR
        AND CON.IDSITCONSUMI = '1'
`,

GET_CONSUMERS_DEFAULT_CREDIT_CART: `
    SELECT CART.DSTOKEN, B.IDESITEF, CART.NRULTNUM
        FROM CARTCREDCONS CART
        JOIN CONSUMIDOR CONS ON CART.CDCONSUMIDOR = CONS.CDCONSUMIDOR AND CART.CDCLIENTE = CART.CDCLIENTE
        JOIN BANDEIRAESITEF B ON CART.NRSEQBANDEIRA = B.NRSEQBANDEIRA
        JOIN TIPORECE T ON B.CDTIPORECE = T.CDTIPORECE
            WHERE CART.IDTPCARTCRED = 'P' AND CONS.CDCLIENTE = :CDCLIENTE AND CONS.CDCONSUMIDOR = :CDCONSUMIDOR
`,

GET_FILIAL: `
    SELECT PV.CDFILIAL, NVL(PV.IDLOJAESITEFFIL,PG.IDLOJAESITEF) IDLOJAESITEFFIL, NVL(PV.CDLOJAESITEFFIL,PG.CDLOJAESITEF) CDLOJAESITEFFIL
        FROM PARAVEND PV, PARAMGERAL PG, CLIENFILIAL CF, CLIENTE CL
            WHERE PV.CDCLIENTE = CF.CDCLIENTE
            AND PV.CDFILIAL = CF.CDFILIAL
            AND PV.CDCLIENTE = CL.CDCLIENTE
            AND CF.CDCLIENTE = CL.CDCLIENTE
            AND PV.IDFILUTSITE = 'S'
            AND CF.IDPERMVENDAFOS = 'S'
            AND CL.CDCLIENTE = :CDCLIENTE
`,

GET_CONSUMER_CPF: `
    SELECT NRCPFRESPCON
        FROM CONSUMIDOR
            WHERE CDCLIENTE = :CDCLIENTE
            AND CDCONSUMIDOR = :CDCONSUMIDOR
`,

GET_CONSUMER_NAME: `
    SELECT NMCONSUMIDOR
        FROM CONSUMIDOR
            WHERE CDCLIENTE = :CDCLIENTE
            AND CDCONSUMIDOR = :CDCONSUMIDOR
`,

GET_CARD_INFO: `
    SELECT C.DSTOKEN, C.CARTCREDMD5, C.NRULTNUM, C.NMTITULAR, C.DTEXPIRACAO, B.IDESITEF, T.CDTIPORECE
        FROM CARTCREDCONS C
        JOIN BANDEIRAESITEF B ON B.NRSEQBANDEIRA = C.NRSEQBANDEIRA
        JOIN TIPORECE T ON T.CDTIPORECE = B.CDTIPORECE
        JOIN (SELECT CDCLIENTE, CDCONSUMIDOR
            FROM CONSUMIDOR
            WHERE NRCPFRESPCON = :NRCPFRESPCON) S
        ON C.CDCLIENTE = S.CDCLIENTE AND C.CDCONSUMIDOR = S.CDCONSUMIDOR
        WHERE C.CARTCREDMD5 IS NOT NULL
        AND ROWNUM = 1
`,

GET_SONS_NOTIF_VAL: `
    SELECT CDCONSUMIDOR, VRNOTIFSALDO
        FROM CONSUMIDOR
        WHERE CDCLIENTE = :CDCLIENTE
        AND NRCPFRESPCON = :NRCPFRESPCON
`,

GET_ALL_FILIAIS: `
        SELECT CF.CDCLIENTE, F.CDFILIAL, F.NMFILIAL, V.CDCAIXA, CX.CDLOJA, CX.NRCONFTELA FROM FILIAL F
        JOIN CLIENFILIAL CF ON CF.CDFILIAL = F.CDFILIAL
        JOIN PARAVEND P ON P.CDFILIAL = F.CDFILIAL
          AND P.CDCLIENTE = CF.CDCLIENTE
        JOIN VENDEDOR V ON V.CDVENDEDOR = P.CDVENDEDOR
          AND V.CDFILIAL = F.CDFILIAL
        JOIN CAIXA CX ON CX.CDFILIAL = F.CDFILIAL
          AND CX.CDCAIXA = V.CDCAIXA
        WHERE CF.CDCLIENTE = :CDCLIENTE
        AND V.CDCAIXA IS NOT NULL
`,

GET_CLIENTS: `
    SELECT PA.CDCLIENTE, PA.CDFILIAL,
        DECODE(CL.IDEXBTPNOMECLIE,'F', CL.NMFANTCLIE, CL.NMRAZSOCCLIE) AS NMFANTCLIE
    FROM CLIENTE CL, PARAVEND PA, CLIENFILIAL CF
    WHERE PA.CDCLIENTE = CL.CDCLIENTE
    AND PA.CDFILIAL = CF.CDFILIAL
    AND PA.CDCLIENTE = CF.CDCLIENTE
    AND CF.IDPERMVENDAFOS = 'S'
    AND PA.IDFILUTSITE = 'S'
    ORDER BY CL.NMFANTCLIE, CL.NMRAZSOCCLIE
`,

GET_CLIENTS_SAPORE: `
    SELECT CL.CDCLIENTE, CF.CDFILIAL,
        DECODE(CL.IDEXBTPNOMECLIE,'F', CL.NMFANTCLIE, CL.NMRAZSOCCLIE) AS NMFANTCLIE
    FROM CLIENTE CL, CLIENFILIAL CF
    WHERE CF.CDCLIENTE = CL.CDCLIENTE
    AND CF.IDPERMVENDAFOS = 'S'
    AND CF.IDCLIUTSITE = 'S'
    ORDER BY CL.NMFANTCLIE, CL.NMRAZSOCCLIE
`,

    GET_STATES: `
      SELECT CDPAIS, SGESTADO, NMESTADO
        FROM ESTADO
       WHERE UPPER(NMESTADO) LIKE UPPER(:NMESTADO)
         AND CDPAIS = '0055'
      ORDER BY DECODE(SGESTADO, 'SP', 2), SGESTADO
    `,
    GET_CITIES: `
        SELECT CDPAIS, SGESTADO, CDMUNICIPIO, NMMUNICIPIO, CDMUNICIBGE
        FROM MUNICIPIO
        WHERE SGESTADO = :SGESTADO AND UPPER(NMMUNICIPIO) LIKE UPPER(:NMMUNICIPIO)
        ORDER BY NMMUNICIPIO
    `,

CLIENTE_FILIAL: `
        SELECT CDTABEPREC, CDCFILTABPRE
          FROM CLIENFILIAL
          WHERE CDFILIAL = :CDFILIAL
          AND CDCLIENTE = :CDCLIENTE
`,

TABELA_VENDA_ORACLE: `
        SELECT TO_CHAR(A.DTINIVGPREC, 'DD-MM-YYYY HH:MI:SS') AS DTINIVGPREC FROM (
            SELECT TO_TIMESTAMP(TO_CHAR(DTINIVGPREC, 'DD-MM-YYYY HH:MI:SS'), 'DD-MM-YYYY HH:MI:SS') AS DTINIVGPREC
              FROM TABEVEND
             WHERE CDFILIAL   = :CDFILIAL
               AND CDTABEPREC = :CDTABEPREC
               AND SYSDATE BETWEEN DTINIVGPREC AND DTFINVGPREC
        ) A
`,

EXISTE_PRECO_CLIE: `
    SELECT CDTABEPREC, CDFILTABPREC
      FROM CLIENTE
      WHERE (CDCLIENTE = :CDCLIENTE)
`,

TABELA_PRECO_LOJA: `
    SELECT CDTABEPREC
      FROM LOJA
      WHERE (CDFILIAL = :CDFILIAL)
        AND (CDLOJA   = :CDLOJA)
`,

PARAVEND: `
    SELECT CDTABEPREC, IDPRECDIFCOM
      FROM PARAVEND
      WHERE (CDFILIAL = :CDFILIAL)
`,

ORACLE_PRECOS: `
        SELECT CDPRODUTO, VRPRECITEM
          FROM ITEMPRECO
         WHERE CDFILIAL = :CDFILIAL
           AND CDTABEPREC = :CDTABEPREC
           AND DTINIVGPREC = TRUNC(TO_DATE(:DTINIVGPREC, 'DD-MM-YYYY HH24:MI:SS'))
`,

ORACLE_PRECOS_DIA: `
        SELECT VRPRECODIA, IDPERVALORPR, IDDESCACREPR, IDVISUACUPOM, CDTIPOCONSPD, CDPRODUTO
          FROM ITEMPRECODIA
         WHERE CDFILIAL       = :CDFILIAL
           AND CDTABEPREC     = :CDTABEPREC
           AND DTINIVGPREC    = TO_DATE(:DTINIVGPREC, 'DD/MM/YYYY HH:MI:SS')
           AND ((NRDIASEMANPR = :NRDIASEMANPR) OR (NRDIASEMANPR = 'T'))
           AND TO_CHAR(SYSDATE,'HH24')||'00' BETWEEN HRINIPRECDIA AND HRFINPRECDIA
           AND CDTIPOCONSPD = :CDTIPOCONSPD
`,

BUSCA_GRUPO_PRODUTOS: `
        SELECT IDTPBUTTON, IDTPBUTONAUX, NRBUTTON, NRBUTTONAUX,
               DSBUTTON, CDIDENTBUTON, NRCOLORTEXT, NRCOLORBACK,
               NRPGCONFTELA, NRPGCONFTAUX, DSMESSAGEBUT, DSIMAGEMBUT,
               DSENDEIMG
          FROM (SELECT AM.IDTPBUTTON, AM.IDTPBUTONAUX, AM.NRBUTTON, AM.NRBUTTONAUX,
                       AM.DSBUTTON, AM.CDIDENTBUTON, AM.NRCOLORTEXT, AM.NRCOLORBACK,
                       AM.NRPGCONFTELA, AM.NRPGCONFTAUX, AM.DSMESSAGEBUT, AM.DSIMAGEMBUT,
                       AM.DSENDEIMG
                  FROM ITMENUCONFTE AM
                 WHERE AM.CDFILIAL   = :CDFILIAL
                   AND AM.NRCONFTELA = :NRCONFTELA) MESA
         WHERE IDTPBUTTON = '2'
         ORDER BY NRPGCONFTELA, NRBUTTON
`,

BUSCA_SUBGRUPO_PRODUTOS: `
        SELECT IDTPBUTTON, IDTPBUTONAUX, NRBUTTON, NRBUTTONAUX,
               DSBUTTON, CDIDENTBUTON, NRCOLORTEXT, NRCOLORBACK,
               NRPGCONFTELA, NRPGCONFTAUX, DSMESSAGEBUT, DSIMAGEMBUT,
               DSENDEIMG
          FROM ITMENUCONFTE
         WHERE IDTPBUTTON = 'I'
           AND CDFILIAL = :CDFILIAL
           AND NRCONFTELA = :NRCONFTELA
`,

BUSCA_PRODUTOS_ORACLE: `
        SELECT IDTPBUTTON, IDTPBUTONAUX, NRBUTTON,
               NRBUTTONAUX, DSBUTTON, CDIDENTBUTON,
               NRCOLORTEXT, NRCOLORBACK, NRPGCONFTELA,
               NRPGCONFTAUX, DSMESSAGEBUT, DSIMAGEMBUT,
               IDSOLLOCIMP, IDPESAPROD, CDARVPROD,
               CDPRODINTE, CDBARPRODUTO, IDTIPOPROD,
               IDTIPOCOMPPROD, IDIMPPRODUTO, DTINIVGPROMOC, DTFINVGPROMOC,
               CDPRODUTO, IDCONTROLAREFIL, CDFILIAL, NRCONFTELA, DSENDEIMG,
               IDTPBUTONAUX2, NRBUTTONAUX2, NRPGCONFTAUX2, DSPRODVENDA, 'N' AS IDPRODBLOQ,
               DSADICPROD
          FROM (SELECT AM.IDTPBUTTON, AM.IDTPBUTONAUX, AM.NRBUTTON, AM.NRBUTTONAUX,
                       AM.DSBUTTON, AM.CDIDENTBUTON, AM.NRCOLORTEXT, AM.NRCOLORBACK,
                       AM.NRPGCONFTELA, AM.NRPGCONFTAUX, AM.DSMESSAGEBUT,
                       AM.DSIMAGEMBUT, PR.IDSOLLOCIMP, PR.IDPESAPROD, PR.CDARVPROD,
                       PR.CDPRODINTE, PR.CDBARPRODUTO, PR.IDTIPOPROD, PR.IDTIPOCOMPPROD,
                       PR.IDIMPPRODUTO, PR.DTINIVGPROMOC, PR.DTFINVGPROMOC, PR.CDPRODUTO,
                       PR.IDCONTROLAREFIL, AM.CDFILIAL, AM.NRCONFTELA, NVL(AM.DSENDEIMG, PR.DSENDEIMG) AS DSENDEIMG, AM.IDTPBUTONAUX2,
                       AM.NRBUTTONAUX2, AM.NRPGCONFTAUX2, PR.DSPRODVENDA, PR.DSADICPROD

                  FROM ITMENUCONFTE AM

                  JOIN PRODUTO PR
                    ON AM.CDIDENTBUTON = PR.CDPRODUTO
                  JOIN CONFTELA CF
                    ON AM.CDFILIAL = CF.CDFILIAL
                   AND AM.NRCONFTELA = CF.NRCONFTELA

                 WHERE AM.CDFILIAL = :CDFILIAL
                   AND AM.NRCONFTELA = :NRCONFTELA
                   AND PR.CDPRODUTO NOT IN (SELECT CDPRODUTO

                                              FROM PRODBLOQVND

                                             WHERE CDFILIAL = :CDFILIAL
                                               AND CDLOJA = :CDLOJA
                                               AND (NRDIASEMANABLOQ = 'T'
                                                    OR  NRDIASEMANABLOQ = :NRDIASEMANABLOQ)) ) MESA
          WHERE IDTPBUTTON = '1'
          AND IDTPBUTONAUX IN ('2', 'I')
          ORDER BY NRPGCONFTAUX, NRBUTTONAUX, NRPGCONFTELA, NRBUTTON
`,

BUSCA_OBSERVACOES_PRODUTO: `
        SELECT PR.CDPRODUTO, PR.CDOCORR, OC.DSOCORR, OC.CDGRPOCOR,
               OC.IDCONTROLAOBS
          FROM GRUPOCOR GR, PRODOCORRE PR, LOJA LJ, OCORRENCIA OC
         WHERE LJ.CDFILIAL  = :CDFILIAL
           AND LJ.CDLOJA    = :CDLOJA
           AND GR.CDGRPOCOR = LJ.CDGRPOCORPED
           AND PR.CDGRPOCOR = GR.CDGRPOCOR
           AND GR.CDGRPOCOR = OC.CDGRPOCOR
           AND PR.CDOCORR   = OC.CDOCORR
           AND PR.CDPRODUTO NOT IN (SELECT CDPRODUTO
                                      FROM PRODBLOQVND
                                     WHERE CDFILIAL = :CDFILIAL
                                       AND CDLOJA = :CDLOJA
                                       AND (NRDIASEMANABLOQ = 'T'
                                            OR  NRDIASEMANABLOQ = :NRDIASEMANABLOQ))
`,

ITEM_PRECO_ORACLE: `
        SELECT NVL(I.VRPRECITEM, 0) AS PRECO,
               NVL(I.VRPRECITEMCL, 0) AS PRECOCLIE,
               NVL(I.VRPRESUGITEM, 0) AS PRECOSUGER,
               I.IDPRECVARIA, P.NMPRODUTO
          FROM ITEMPRECO I JOIN PRODUTO P
                             ON I.CDPRODUTO = P.CDPRODUTO
         WHERE I.CDFILIAL = :CDFILIAL
           AND I.CDTABEPREC = :CDTABEPREC
           AND DTINIVGPREC = TO_DATE(:DTINIVGPREC, 'DD/MM/YYYY HH:MI:SS')
           AND I.CDPRODUTO = :CDPRODUTO
`,

TIPO_CONSUMIDOR: `
        SELECT CDTIPOCONS
          FROM CONSUMIDOR
         WHERE CDCLIENTE = :CDCLIENTE
           AND CDCONSUMIDOR = :CDCONSUMIDOR
`,

FERIADO: `
        SELECT DTFERIFILI
          FROM FERIFILI
         WHERE CDFILIAL = :CDFILIAL
           AND DTFERIFILI = :DTFERIFILI
`,

ITEM_PRECO_DIA_ORACLE: `
        SELECT VRPRECODIA, IDPERVALORPR, IDDESCACREPR, IDVISUACUPOM, CDTIPOCONSPD
          FROM ITEMPRECODIA
          WHERE CDFILIAL       = :CDFILIAL
            AND CDTABEPREC     = :CDTABEPREC
            AND DTINIVGPREC    = TO_DATE(:DTINIVGPREC, 'DD/MM/YYYY HH:MI:SS')
            AND CDPRODUTO      = :CDPRODUTO
            AND CDPRPAITABPR   = :CDPRPAITABPR
            AND NRDIASEMANPR   = :NRDIASEMANPR
            AND ((CDTIPOCONSPD = :CDTIPOCONSPD) OR (CDTIPOCONSPD = 'T'))
            AND TO_CHAR(SYSDATE,'HH24')||'00' BETWEEN HRINIPRECDIA AND HRFINPRECDIA
`,

SQL_GET_IMP_PRODUTOS: `
        SELECT PA.CDAMBIENTE, IL.NRSEQIMPRLOJA, IL.NMIMPRLOJA
          FROM PRODAMBIENTE PA JOIN IMPRLOJA IL
                                 ON IL.CDFILIAL      = PA.CDFILIAL
                                AND IL.CDLOJA        = PA.CDLOJA
                                AND IL.NRSEQIMPRLOJA = PA.NRSEQIMPRLOJA
         WHERE PA.CDFILIAL   = :CDFILIAL
           AND PA.CDLOJA     = :CDLOJA
           AND PA.CDPRODUTO  = :CDPRODUTO
           AND PA.NRCONFTELA = :NRCONFTELA
`,

SQL_GRUPOS_PROMO_INT_FILI: `
        SELECT G.CDGRUPROMOC, P.NMGRUPROMOC, G.QTPRGRUPPROMFIL AS QTPRGRUPPROMOC
          FROM GRUPROMOCPRFIL G JOIN GRUPROMOC P
                                  ON G.CDGRUPROMOC = P.CDGRUPROMOC
         WHERE G.CDPRODPROMOCAO = :CDIDENTBUTON
           AND G.CDFILIAL = :CDFILIAL
`,

SQL_GRUPOS_PROMO_INT: `
        SELECT G.CDGRUPROMOC, P.NMGRUPROMOC, G.QTPRGRUPPROMOC
          FROM GRUPROMOCPROD G JOIN GRUPROMOC P
                                 ON G.CDGRUPROMOC = P.CDGRUPROMOC
         WHERE G.CDPRODPROMOCAO = :CDIDENTBUTON
`,

ORACLE_PRODUTOS_PROMO_INT: `
        SELECT DP.CDPRODPROMOCAO, PP.CDGRUPROMOC, PP.CDPRODUTO, P.CDARVPROD, P.NMPRODUTO, P.IDIMPPRODUTO,
               NVL(DP.IDPERVALORDES, 'P') AS IDPERVALORDES,  '0' AS IDCTRLMODIFY,
               NVL(DP.VRDESPRODPROMOC, 0) AS VRDESPRODPROMOC,
               NVL(DP.IDAPLICADESCPR, 'T') AS IDAPLICADESCPR,
               'N' AS IDPRODBLOQ, P.DSPRODVENDA, PP.DSENDEIMGPROMO,
               PP.DSAPELIDOMOB, PP.NRORDPROMOPR, P.DSADICPROD
          FROM PRODUTO P JOIN PRODGRUPROMOC PP
                           ON P.CDPRODUTO = PP.CDPRODUTO
                          AND PP.CDGRUPROMOC = :CDGRUPROMOC
                    LEFT JOIN DESGRUPROMOCPR DP
                           ON DP.CDPRODPROMOCAO = :CDIDENTBUTON
                          AND DP.CDGRUPROMOC = PP.CDGRUPROMOC
                          AND DP.CDPRODUTO = PP.CDPRODUTO
         WHERE P.CDPRODUTO NOT IN (SELECT CDPRODUTO
                                              FROM PRODBLOQVND
                                             WHERE CDFILIAL = :CDFILIAL
                                               AND CDLOJA = :CDLOJA
                                               AND (NRDIASEMANABLOQ = 'T'
                                                    OR  NRDIASEMANABLOQ = :NRDIASEMANABLOQ))
        ORDER BY NVL(PP.NRORDPROMOPR , 99999), PP.CDPRODUTO
`,

ORACLE_PRODUTOS_PROMO_INT_FILI: `
        SELECT DP.CDPRODPROMOCAO, PP.CDGRUPROMOC, PP.CDPRODUTO, P.CDARVPROD, P.NMPRODUTO, P.IDIMPPRODUTO,
               NVL(DP.IDPERVALDESFIL, 'P') AS IDPERVALORDES, '0' AS IDCTRLMODIFY,
               NVL(DP.VRDESPRPROMOFIL, 0) AS VRDESPRODPROMOC,
               NVL(DP.IDAPLICADESCPRFI, 'T') AS IDAPLICADESCPR,
               'N' AS IDPRODBLOQ, P.DSPRODVENDA, PP.DSENDEIMGPROMO,
               PP.DSAPELIDOMOB, PP.NRORDPROMOPR, P.DSADICPROD
          FROM PRODUTO P JOIN PRODGRUPROMOC PP
                           ON P.CDPRODUTO = PP.CDPRODUTO
                          AND PP.CDGRUPROMOC = :CDGRUPROMOC
                    LEFT JOIN DESGRUPROMPRFIL DP
                           ON DP.CDPRODPROMOCAO = :CDIDENTBUTON
                          AND DP.CDGRUPROMOC = PP.CDGRUPROMOC
                          AND DP.CDPRODUTO = PP.CDPRODUTO
          WHERE P.CDPRODUTO NOT IN (SELECT CDPRODUTO
                                              FROM PRODBLOQVND
                                             WHERE CDFILIAL = :CDFILIAL
                                               AND CDLOJA = :CDLOJA
                                               AND (NRDIASEMANABLOQ = 'T'
                                                    OR  NRDIASEMANABLOQ = :NRDIASEMANABLOQ))
        ORDER BY NVL(PP.NRORDPROMOPR , 99999), PP.CDPRODUTO
`,

GET_COMBO_PRODUCTS: `
        SELECT AM.IDTPBUTTON, AM.IDTPBUTONAUX, AM.NRBUTTON, AM.NRBUTTONAUX,
               AM.DSBUTTON, AM.CDIDENTBUTON, AM.NRCOLORTEXT, AM.NRCOLORBACK,
               AM.NRPGCONFTELA, AM.NRPGCONFTAUX, AM.DSMESSAGEBUT, AM.DSIMAGEMBUT,
               'N' AS IDSOLLOCIMP, 'N' AS IDPESAPROD, NULL AS CDARVPROD, NULL AS CDPRODINTE,
               NULL AS CDBARPRODUTO, NULL AS IDTIPOPROD, '0' AS IDTIPOCOMPPROD, '1' AS IDIMPPRODUTO,
               NULL AS DTINIVGPROMOC, NULL AS DTFINVGPROMOC, NULL AS CDPRODUTO, 'N' AS IDCONTROLAREFIL,
               AM.CDFILIAL, AM.NRCONFTELA, AM.DSENDEIMG, AM.IDTPBUTONAUX2,
               AM.NRBUTTONAUX2, AM.NRPGCONFTAUX2, 'N' AS IDPRODBLOQ,
               AM.NRLIMPRODCOM, NULL AS DSPRODVENDA, L.IDTIPCOBRA
          FROM ITMENUCONFTE AM
          JOIN LOJA L ON L.CDFILIAL = AM.CDFILIAL
         WHERE AM.CDFILIAL = :CDFILIAL
           AND L.CDLOJA = :CDLOJA
           AND AM.NRCONFTELA = :NRCONFTELA
           AND AM.IDTPBUTTON = 'B'
`,

BUSCA_PRODUTOS_COMBO_ORACLE: `
        SELECT P.CDPRODUTO AS CDPRODUTO, P.IDIMPPRODUTO, 'T' AS IDAPLICADESCPR, 'P' AS IDPERVALORDES,
               NVL(I.DSBUTTON, P.NMPRODUTO) AS NMPRODUTO, '.000' AS VRDESPRODPROMOC,
               'N' AS IDPRODBLOQ, 'COMBO' AS NMGRUPROMOC, NVL(I.CDIDENTBUTON, P.CDPRODUTO) AS CDIDENTBUTON,
               NVL(I.DSBUTTON, P.NMPRODUTO) AS DSOCORR, P.CDARVPROD AS CDOCORR, P.CDARVPROD,
               P.IDTIPOPROD, P.IDTIPOCOMPPROD, NVL(I.DSBUTTON, P.NMPRODUTO) AS NOME, P.DSPRODVENDA AS DESCRIPTION
          FROM PRODUTO P LEFT JOIN ITMENUCONFTE I
                                ON P.CDPRODUTO = I.CDIDENTBUTON
                               AND I.CDFILIAL = :CDFILIAL
                               AND I.NRCONFTELA = :NRCONFTELA
         WHERE P.IDTIPOPROD = :IDTIPOPROD
        AND P.CDPRODUTO NOT IN (SELECT CDPRODUTO
                                  FROM PRODBLOQVND
                                 WHERE CDFILIAL = :CDFILIAL
                                   AND CDLOJA = :CDLOJA
                                   AND (NRDIASEMANABLOQ = 'T'
                                        OR  NRDIASEMANABLOQ = :NRDIASEMANABLOQ))
`,

CHECK_CONSUMER_DETAILS: `
        SELECT CDCLIENTE, CDCONSUMIDOR, NMCONSUMIDOR, NMRESPCONS, DSEMAILCONS
          FROM CONSUMIDOR
         WHERE CDCLIENTE = :CDCLIENTE
           AND NRCPFRESPCON = :NRCPFRESPCON
`,

GET_RECHARGE_GRID: `
    SELECT C.NMCONSUMIDOR, C.CDCONSUMIDOR, C.NRCPFRESPCON, NULL AS CDFAMILISALD, C.NMCONSUMIDOR AS NMFAMILISALD,
             NULL AS VRSALDCONFAM, C.CDCONSUMIDOR AS PRIMARY, NULL AS PARENT
      FROM CONSUMIDOR C
      JOIN TIPOCONS TC
        ON C.CDTIPOCONS = TC.CDTIPOCONS
      WHERE C.CDCLIENTE  = :CDCLIENTE
        AND C.NRCPFRESPCON = :NRCPFRESPCON
        AND C.IDSITCONSUMI = '1'
        AND TC.IDUTRECARGAAPP = 'S'
    UNION
    SELECT NULL AS NMCONSUMIDOR, NULL AS CDCONSUMIDOR, NULL AS NRCPFRESPCON, FS.CDFAMILISALD,
             FS.NMFAMILISALD, '0,00' AS VRSALDCONFAM, TAB.CDCONSUMIDOR || '_' || FS.CDFAMILISALD AS PRIMARY,
             TAB.CDCONSUMIDOR AS PARENT
      FROM FAMSALDOFILI FF
      JOIN FAMILIASALDO FS
        ON FS.CDFAMILISALD = FF.CDFAMILISALD,
             (SELECT C.NMCONSUMIDOR, C.CDCONSUMIDOR, C.NRCPFRESPCON, NULL AS CDFAMILISALD, NULL AS NMFAMILISALD,
                   NULL AS VRSALDCONFAM
                FROM CONSUMIDOR C
                JOIN TIPOCONS TC
                  ON C.CDTIPOCONS = TC.CDTIPOCONS
                WHERE C.CDCLIENTE  = :CDCLIENTE
                  AND C.NRCPFRESPCON = :NRCPFRESPCON
                  AND C.IDSITCONSUMI = '1'
                  AND TC.IDUTRECARGAAPP = 'S'
              ) TAB
      WHERE FF.CDFILIAL = :CDFILIAL
        AND FF.IDPERMCARGACRED = 'S'
`,

UPDATE_CONSUMER_DETAILS: `
    UPDATE CONSUMIDOR
        SET NMRESPCONS = :NMRESPCONS,
            DSEMAILCONS = :DSEMAILCONS,
            NRCELULARCONS = :NRCELULARCONS,
            DSENDECONS = :DSENDECONS,
            NRENDECONS = :NRENDECONS,
            DSCOMPLENDECONS = :DSCOMPLENDECONS,
            DSREFERENDECONS = :DSREFERENDECONS,
            NRCEPCONS = :NRCEPCONS,
            SGESTADO = :SGESTADO,
            CDMUNICIPIO = :CDMUNICIPIO,
            NMBAIRCONS = :NMBAIRCONS,
            CDPAIS = :CDPAIS,
            -- VRNOTIFSALDO = NULL,
            HABENVNOTIF = :HABENVNOTIF,
            HABENVEMAIL = :HABENVEMAIL
        WHERE CDCLIENTE = :CDCLIENTE
        AND NRCPFRESPCON = :NRCPFRESPCON
`,

GET_PASSWORD: `
      SELECT CDSENHACONSMD5
            FROM CONSUMIDOR
          WHERE CDCLIENTE = :CDCLIENTE
          AND NMLOGINCONS = :NMLOGINCONS
`,

SQL_CHANGE_PASSWORD: `
      UPDATE CONSUMIDOR
          SET CDSENHACONSMD5 = :CDSENHACONSMD5
        WHERE CDCLIENTE = :CDCLIENTE
          AND NMLOGINCONS = :NMLOGINCONS
`,

GET_FILIAL_BY_CLIENT: `
        SELECT DSEMAILCLUSO, CDFILIAL
          FROM PARAVEND
         WHERE CDFILIAL = (SELECT CDFILIAL FROM CLIENFILIAL CF
                            WHERE CF.CDCLIENTE = :CDCLIENTE
                              AND CF.IDPERMVENDAFOS = 'S'
                              AND CF.IDCLIUTSITE = 'S')
`,

// GET_CLIENTS: `
//       SELECT PA.CDCLIENTE, PA.CDFILIAL,
//           DECODE(CL.IDEXBTPNOMECLIE,'F', CL.NMFANTCLIE, CL.NMRAZSOCCLIE) AS NMFANTCLIE
//       FROM CLIENTE CL, PARAVEND PA, CLIENFILIAL CF
//       WHERE PA.CDCLIENTE = CL.CDCLIENTE
//         AND PA.CDFILIAL = CF.CDFILIAL
//         AND PA.CDCLIENTE = CF.CDCLIENTE
//         AND CF.IDPERMVENDAFOS = 'S'
//         AND PA.IDFILUTSITE = 'S'
//       ORDER BY CL.NMFANTCLIE, CL.NMRAZSOCCLIE
// `,

// GET_CONSUMER_BY_LOGIN_RECOVER: `
//         SELECT C.CDCLIENTE, C.CDCONSUMIDOR, C.NMCONSUMIDOR, C.CDSENHACONSMD5,
//                C.NMLOGINCONS, C.DSEMAILCONS, CL.NMFANTCLIE, C.CDTIPOCONS,
//                C.NRCPFRESPCON, C.NMRESPCONS
//           FROM CONSUMIDOR C, CLIENTE CL
//          WHERE C.CDCLIENTE = :CDCLIENTE
//            AND UPPER(C.NMLOGINCONS) = UPPER(:NMLOGINCONS)
//            AND C.CDCLIENTE = CL.CDCLIENTE
// `,

GET_CONSUMER_BY_LOGIN_RECOVER: `
    SELECT C.CDCLIENTE, C.CDCONSUMIDOR, C.NMCONSUMIDOR, C.CDSENHACONSMD5,
                C.NMLOGINCONS, C.DSEMAILCONS, CL.NMFANTCLIE, C.CDTIPOCONS,
                C.NRCPFRESPCON, C.NMRESPCONS
            FROM CONSUMIDOR C, CLIENTE CL
            WHERE C.CDCLIENTE = :CDCLIENTE
                AND (
                    UPPER(C.NMLOGINCONS) = UPPER(:TYPEDLOGIN)
                    OR C.CDIDCONSUMID = :TYPEDLOGIN
                    OR UPPER(C.DSEMAILCONS) = UPPER(:TYPEDLOGIN)
                    OR C.CDCONSUMIDOR = :TYPEDLOGIN
                    OR C.NRCPFRESPCON = :TYPEDLOGIN
                )
                AND C.CDCLIENTE = CL.CDCLIENTE
`,

// Query de produção
GET_CONSUMER_CLIENTLESS: `
	SELECT C.CDCLIENTE, C.CDCONSUMIDOR, C.NMCONSUMIDOR, C.CDSENHACONSMD5,
        TRIM(LEADING 0 FROM C.NMLOGINCONS) AS NMLOGINCONS, C.DSEMAILCONS, CF.CDFILIAL, C.CDTIPOCONS,
               C.NRCPFRESPCON, C.NMRESPCONS, C.IDCONTRATO,
               DECODE(CL.IDEXBTPNOMECLIE,'F', CL.NMFANTCLIE, CL.NMRAZSOCCLIE) AS NMFANTCLIE,
               C.CDIDCONSUMID
          FROM CONSUMIDOR C, CLIENTE CL, CLIENFILIAL CF
            WHERE (
                UPPER(TRIM(LEADING 0 FROM C.NMLOGINCONS)) = UPPER(:TYPEDLOGIN)
                OR C.CDIDCONSUMID = :TYPEDLOGIN
                OR UPPER(C.DSEMAILCONS) = UPPER(:TYPEDLOGIN)
                OR C.CDCONSUMIDOR = :TYPEDLOGIN
                OR C.NRCPFRESPCON = :TYPEDLOGIN
            )
            AND C.CDSENHACONSMD5 = :CDSENHACONSMD5
            AND C.CDCLIENTE = CL.CDCLIENTE
            AND CF.CDCLIENTE = C.CDCLIENTE
            AND CF.IDPERMVENDAFOS = 'S'
            AND CF.IDCLIUTSITE = 'S'
`,

// Query apenas para teste
GET_CONSUMER_CLIENTLESS_DEV: `
    SELECT C.CDCLIENTE, C.CDCONSUMIDOR, C.NMCONSUMIDOR, C.CDSENHACONSMD5,
    TRIM(LEADING 0 FROM C.NMLOGINCONS) AS NMLOGINCONS, C.DSEMAILCONS, CF.CDFILIAL, C.CDTIPOCONS,
            C.NRCPFRESPCON, C.NMRESPCONS, 'S' AS IDCONTRATO,
            DECODE(CL.IDEXBTPNOMECLIE,'F', CL.NMFANTCLIE, CL.NMRAZSOCCLIE) AS NMFANTCLIE,
            C.CDIDCONSUMID
        FROM CONSUMIDOR C, CLIENTE CL, CLIENFILIAL CF, PARAVEND PV
        WHERE (
            UPPER(TRIM(LEADING 0 FROM C.NMLOGINCONS)) = UPPER(:TYPEDLOGIN)
            OR C.CDIDCONSUMID = :TYPEDLOGIN
            OR UPPER(C.DSEMAILCONS) = UPPER(:TYPEDLOGIN)
            OR C.CDCONSUMIDOR = :TYPEDLOGIN
            OR C.NRCPFRESPCON = :TYPEDLOGIN
        )
        AND C.CDSENHACONSMD5 = :CDSENHACONSMD5
        AND C.CDCLIENTE = CL.CDCLIENTE
        AND CF.CDCLIENTE = C.CDCLIENTE
        AND PV.CDFILIAL = CF.CDFILIAL
        AND CF.IDPERMVENDAFOS = 'S'
        AND PV.IDFILUTSITE = 'S'
`,

// Query de produção
GET_CONSUMER_CLIENTLESS_RECOVER: `
	SELECT C.CDCLIENTE, C.CDCONSUMIDOR, C.NMCONSUMIDOR, C.CDSENHACONSMD5,
        TRIM(LEADING 0 FROM C.NMLOGINCONS) AS NMLOGINCONS, C.DSEMAILCONS, CF.CDFILIAL, C.CDTIPOCONS,
               C.NRCPFRESPCON, C.NMRESPCONS, C.IDCONTRATO,
               DECODE(CL.IDEXBTPNOMECLIE,'F', CL.NMFANTCLIE, CL.NMRAZSOCCLIE) AS NMFANTCLIE,
               C.CDIDCONSUMID
          FROM CONSUMIDOR C, CLIENTE CL, CLIENFILIAL CF
            WHERE (
                UPPER(TRIM(LEADING 0 FROM C.NMLOGINCONS)) = UPPER(:TYPEDLOGIN)
                OR C.CDIDCONSUMID = :TYPEDLOGIN
                OR UPPER(C.DSEMAILCONS) = UPPER(:TYPEDLOGIN)
                OR C.CDCONSUMIDOR = :TYPEDLOGIN
                OR C.NRCPFRESPCON = :TYPEDLOGIN
            )
            AND C.CDCLIENTE = CL.CDCLIENTE
            AND CF.CDCLIENTE = C.CDCLIENTE
            AND CF.IDPERMVENDAFOS = 'S'
            AND CF.IDCLIUTSITE = 'S'
`,

// Query apenas para teste
GET_CONSUMER_CLIENTLESS_RECOVER_DEV: `
    SELECT C.CDCLIENTE, C.CDCONSUMIDOR, C.NMCONSUMIDOR, C.CDSENHACONSMD5,
    TRIM(LEADING 0 FROM C.NMLOGINCONS) AS NMLOGINCONS, C.DSEMAILCONS, CF.CDFILIAL, C.CDTIPOCONS,
            C.NRCPFRESPCON, C.NMRESPCONS, 'S' AS IDCONTRATO,
            DECODE(CL.IDEXBTPNOMECLIE,'F', CL.NMFANTCLIE, CL.NMRAZSOCCLIE) AS NMFANTCLIE,
            C.CDIDCONSUMID
        FROM CONSUMIDOR C, CLIENTE CL, CLIENFILIAL CF, PARAVEND PV
        WHERE (
            UPPER(TRIM(LEADING 0 FROM C.NMLOGINCONS)) = UPPER(:TYPEDLOGIN)
            OR C.CDIDCONSUMID = :TYPEDLOGIN
            OR UPPER(C.DSEMAILCONS) = UPPER(:TYPEDLOGIN)
            OR C.CDCONSUMIDOR = :TYPEDLOGIN
            OR C.NRCPFRESPCON = :TYPEDLOGIN
        )
        AND C.CDCLIENTE = CL.CDCLIENTE
        AND CF.CDCLIENTE = C.CDCLIENTE
        AND PV.CDFILIAL = CF.CDFILIAL
        AND CF.IDPERMVENDAFOS = 'S'
        AND PV.IDFILUTSITE = 'S'
`,

// GET_CONSUMER_BY_LOGIN_CLIENTLESS: `
// 	SELECT C.CDCLIENTE, C.CDCONSUMIDOR, C.NMCONSUMIDOR, C.CDSENHACONSMD5,
//         TRIM(LEADING 0 FROM C.NMLOGINCONS) AS NMLOGINCONS, C.DSEMAILCONS, CF.CDFILIAL, C.CDTIPOCONS,
//                C.NRCPFRESPCON, C.NMRESPCONS, C.IDCONTRATO,
//                DECODE(CL.IDEXBTPNOMECLIE,'F', CL.NMFANTCLIE, CL.NMRAZSOCCLIE) AS NMFANTCLIE,
//                C.CDIDCONSUMID
//           FROM CONSUMIDOR C, CLIENTE CL, CLIENFILIAL CF
//          WHERE UPPER(TRIM(LEADING 0 FROM C.NMLOGINCONS)) = UPPER(:NMLOGINCONS)
//            AND C.CDCLIENTE = CL.CDCLIENTE
//            AND CF.CDCLIENTE = C.CDCLIENTE
//            AND CF.IDPERMVENDAFOS = 'S'
//            AND CF.IDCLIUTSITE = 'S'
// `,

GET_CONSUMER_BY_CPF_CLIENTLESS: `
	SELECT C.CDCLIENTE, C.CDCONSUMIDOR, C.NMCONSUMIDOR, C.CDSENHACONSMD5,
        TRIM(LEADING 0 FROM C.NMLOGINCONS) AS NMLOGINCONS, C.DSEMAILCONS, CF.CDFILIAL, C.CDTIPOCONS,
               C.NRCPFRESPCON, C.NMRESPCONS, C.IDCONTRATO,
               DECODE(CL.IDEXBTPNOMECLIE,'F', CL.NMFANTCLIE, CL.NMRAZSOCCLIE) AS NMFANTCLIE,
               C.CDIDCONSUMID
          FROM CONSUMIDOR C, CLIENTE CL, CLIENFILIAL CF
         WHERE C.NRCPFRESPCON = :NRCPFRESPCON
           AND C.CDCLIENTE = CL.CDCLIENTE
           AND CF.CDCLIENTE = C.CDCLIENTE
           AND CF.IDPERMVENDAFOS = 'S'
           AND CF.IDCLIUTSITE = 'S'
`,

GET_CHILDREN_PHONES_ORIGINAL: `
    SELECT NMCONSUMIDOR, CDCONSUMIDOR, NRTELEFILHO AS PHONE
        FROM CONSUMIDOR
        WHERE CDCLIENTE = :CDCLIENTE
            AND NRCPFRESPCON = :NRCPFRESPCON
`,

GET_FULL_BALANCE: `
        SELECT SC.CDCONSUMIDOR, C.NMCONSUMIDOR, FS.CDFAMILISALD, FS.NMFAMILISALD, SC.VRSALDCONFAM
          FROM FAMILIASALDO FS JOIN SALDOCONS SC
                                 ON SC.CDFAMILISALD = FS.CDFAMILISALD
                               JOIN FAMSALDOFILI FF
                                 ON FF.CDFAMILISALD = FS.CDFAMILISALD
                                JOIN CONSUMIDOR C
                                ON SC.CDCONSUMIDOR = C.CDCONSUMIDOR
         WHERE SC.CDCLIENTE = :CDCLIENTE
           AND C.CDCLIENTE = :CDCLIENTE
           AND FF.CDFILIAL = :CDFILIAL
           AND FF.IDPERMCARGACRED = 'S'
           AND SC.CDCONSUMIDOR IN (
           SELECT C.CDCONSUMIDOR
              FROM CONSUMIDOR C JOIN CLIENTE CL
                                  ON C.CDCLIENTE = CL.CDCLIENTE
             WHERE C.CDCLIENTE = :CDCLIENTE
               AND C.NRCPFRESPCON = :NRCPFRESPCON)
           
           
`,

GET_CHILDREN_PHONES_ALTERNATIVE: `
    SELECT NMCONSUMIDOR, CDCONSUMIDOR, NRTELECONS AS PHONE
        FROM CONSUMIDOR
        WHERE CDCLIENTE = :CDCLIENTE
            AND NRCPFRESPCON = :NRCPFRESPCON
`,

UPDATE_CHILDREN_PHONES_ORIGINAL: `
    UPDATE CONSUMIDOR SET NRTELEFILHO = :NRTELEFILHO
        WHERE CDCLIENTE = :CDCLIENTE
            AND NRCPFRESPCON = :NRCPFRESPCON
            AND CDCONSUMIDOR = :CDCONSUMIDOR
`,

UPDATE_CHILDREN_PHONES_ALTERNATIVE: `
    UPDATE CONSUMIDOR SET NRTELECONS = :NRTELECONS
        WHERE CDCLIENTE = :CDCLIENTE
            AND NRCPFRESPCON = :NRCPFRESPCON
            AND CDCONSUMIDOR = :CDCONSUMIDOR
`,

UPDATE_SON_NOTIF_VAL: `
    UPDATE CONSUMIDOR SET VRNOTIFSALDO = :VRNOTIFSALDO
        WHERE CDCLIENTE = :CDCLIENTE
            AND CDCONSUMIDOR = :CDCONSUMIDOR
`,

REGISTER_USER: `
      INSERT INTO CONSUMIDOR
        (CDCLIENTE, CDCONSUMIDOR, NMCONSUMIDOR, CDIDCONSUMID, NMLOGINCONS, CDSENHACONSMD5, NMRESPCONS, DSEMAILCONS, NRCPFRESPCON, NRTELECONS,
        NRCELULARCONS, DSENDECONS, NRENDECONS, DSCOMPLENDECONS, DSREFERENDECONS, NRCEPCONS, CDPAIS, SGESTADO,
        CDMUNICIPIO, NMBAIRCONS, CDTIPOCONS, CDCCUSCLIE, IDATUCONSUMI, IDSITCONSUMI, IDCONSUMIDOR,
        CDVENDEDOR, IDTPVENDACONS, IDIMPCPFCUPOM, IDCADCONFLIBCON, IDPERCONSPRODEX, IDTPSELMANHA, IDTPSEALMOCO, IDTPSELTARDE, IDCRACHAMESTRE)
      VALUES
        (:CDCLIENTE, :CDCONSUMIDOR, :NMCONSUMIDOR, :CDIDCONSUMID, :NMLOGINCONS, :CDSENHACONSMD5, :NMRESPCONS, :DSEMAILCONS, :NRCPFRESPCON, :NRTELECONS,
        :NRCELULARCONS, :DSENDECONS, :NRENDECONS, :DSCOMPLENDECONS, :DSREFERENDECONS, :NRCEPCONS, :CDPAIS, :SGESTADO,
        :CDMUNICIPIO, :NMBAIRCONS, :CDTIPOCONS, :CDCCUSCLIE, :IDATUCONSUMI, :IDSITCONSUMI, :IDCONSUMIDOR,
        :CDVENDEDOR, :IDTPVENDACONS, :IDIMPCPFCUPOM, :IDCADCONFLIBCON, :IDPERCONSPRODEX, :IDTPSELMANHA, :IDTPSEALMOCO, :IDTPSELTARDE, :IDCRACHAMESTRE)
`,
GET_TIPO_CONS: `
      SELECT CDTIPOCONS
        FROM PARAVEND
      WHERE CDFILIAL = :CDFILIAL
`,
GET_CUS_CLIE: `
      SELECT CDCCUSCLIE
        FROM PARAVEND
      WHERE CDFILIAL = :CDFILIAL
`,
GET_CONSUMER_BY_ID: `
      SELECT C.CDCLIENTE, C.CDCONSUMIDOR, C.NMCONSUMIDOR, C.CDSENHACONSMD5,
        C.NMLOGINCONS, C.DSEMAILCONS, CL.NMFANTCLIE, C.CDTIPOCONS,
        C.NRCPFRESPCON, C.NMRESPCONS
      FROM CONSUMIDOR C, CLIENTE CL
      WHERE C.CDCLIENTE = :CDCLIENTE
        AND C.CDIDCONSUMID = :CDIDCONSUMID
        AND C.CDCLIENTE = CL.CDCLIENTE
        AND C.IDSITCONSUMI = '1'
`,
GET_CONSUMER_BY_CPF: `
      SELECT CO.CDCLIENTE, CO.CDCONSUMIDOR, CO.NMCONSUMIDOR, CO.NRCPFRESPCON,
        CO.NRRGCONSUMID, CO.DSEMAILCONS, CO.DTNASCCONS, CO.NRCEPCONS,
        CO.CDPAIS, CO.SGESTADO, MU.CDMUNICIPIO, MU.NMMUNICIPIO,
        -- BA.CDBAIRRO, BA.NMBAIRRO,
        CO.DSENDECONS, CO.NRENDECONS, CO.DSCOMPLENDECONS,
        CO.NRTELECONS, CO.NRCELULARCONS, CO.DSREFERENDECONS
      FROM CONSUMIDOR CO, MUNICIPIO MU --, BAIRRO BA
      WHERE CO.NRCPFRESPCON = :NRCPFRESPCON
        AND CO.CDCLIENTE   = :CDCLIENTE 
        AND CO.CDPAIS      = MU.CDPAIS(+)
        AND CO.SGESTADO    = MU.SGESTADO(+)
        AND CO.CDMUNICIPIO = MU.CDMUNICIPIO(+)
        -- AND CO.CDPAIS      = BA.CDPAIS(+)
        -- AND CO.SGESTADO    = BA.SGESTADO(+)
        -- AND CO.CDMUNICIPIO = BA.CDMUNICIPIO(+)
        -- AND CO.CDBAIRRO    = BA.CDBAIRRO(+)
`,
GET_CONSUMER_BY_USERNAME: `
      SELECT C.CDCLIENTE, C.CDCONSUMIDOR, C.NMCONSUMIDOR, C.CDSENHACONSMD5,
        C.NMLOGINCONS, C.DSEMAILCONS, CL.NMFANTCLIE, C.CDTIPOCONS,
        C.NRCPFRESPCON, C.NMRESPCONS
      FROM CONSUMIDOR C, CLIENTE CL
      WHERE C.CDCLIENTE = :CDCLIENTE
        AND UPPER(C.NMLOGINCONS) = UPPER(:NMLOGINCONS)
        AND C.CDCLIENTE = CL.CDCLIENTE
        AND C.IDSITCONSUMI = '1'
`,
NOVO_CODIGO: `
      BEGIN NOVO_CODIGO(:NOMETABELA, :OUTPUT, 1, :NRORGNOVOCODIGO); END;
`,
INSERT_TRANSACAO: `
        INSERT INTO TRANSACAO
            (NRTRANSACAO, DSTRANSACAO, DTTRANSACAO, CDCLIENTE,
            CDCONSUMIDOR, NRNIT, VRMOVEXTCONS, NRORG, IDATIVO)
        VALUES
            (:NRTRANSACAO, :DSTRANSACAO, SYSDATE, :CDCLIENTE,
            :CDCONSUMIDOR, :NRNIT, :VRMOVEXTCONS, 1, 'S')
`,
INSERT_TRANSACAOCONS: `
        INSERT INTO TRANSACAOCONS
            (NRTRANSACAO , CDCLIENTE, CDCONSUMIDOR, NRORG, IDATIVO)
        VALUES
            (:NRTRANSACAO , :CDCLIENTE, :CDCONSUMIDOR, 1, 'S')
`,
UPDATE_TRANSACAO: `
        UPDATE TRANSACAO
        SET DSTRANSACAO = :DSTRANSACAO,
            NRNIT = :NRNIT
        WHERE NRTRANSACAO = :NRTRANSACAO
`,
IS_FIRST_INSERTION: `
      SELECT *
        FROM EXTRATOCONS
       WHERE CDCLIENTE = :CDCLIENTE
         AND CDCONSUMIDOR = :CDCONSUMIDOR
         AND CDFAMILISALD = :CDFAMILISALD
`,
GET_EXTRATOCONS_VRSALDCONEXT: `
      SELECT VRSALDCONEXT, CDCLIENTE, CDCONSUMIDOR
        FROM EXTRATOCONS
       WHERE CDCLIENTE = :CDCLIENTE
         AND CDCONSUMIDOR = :CDCONSUMIDOR
         AND CDFAMILISALD = :CDFAMILISALD
       ORDER BY DTMOVEXTCONS DESC
`,
CHECK_BALANCE: `
        SELECT VRSALDCONFAM
          FROM SALDOCONS
         WHERE CDCLIENTE = :CDCLIENTE
           AND CDCONSUMIDOR = :CDCONSUMIDOR
           AND CDFAMILISALD = :CDFAMILISALD
`,
GET_NRSEQMOVEXT: `
        SELECT LPAD(NVL(MAX(NRSEQMOVEXT)+1,1),3,'0') AS NRSEQMOVEXT
          FROM EXTRATOCONS
         WHERE CDCLIENTE = :CDCLIENTE
           AND CDCONSUMIDOR = :CDCONSUMIDOR
`,
INSERT_EXTRATOCONS: `
        INSERT INTO EXTRATOCONS
        (CDCLIENTE, CDCONSUMIDOR, CDFAMILISALD, DTMOVEXTCONS,
         DSOPEEXTCONS, VRMOVEXTCONS, IDTPMOVEXT, NRSEQMOVEXT,
         DTULTATUEXT, VRSALDCONEXT, NRORG, IDATIVO, IDIMPEXTRATO,
         CDTIPORECE, CDFILIAL)
        VALUES
        (:CDCLIENTE, :CDCONSUMIDOR, :CDFAMILISALD, SYSDATE,
         :DSOPEEXTCONS, :VRMOVEXTCONS, :IDTPMOVEXT, :NRSEQMOVEXT,
         SYSDATE, :VRSALDCONEXT, 1, 'S', 'S',
         :CDTIPORECE, :CDFILIAL)
`,
CREATE_BALANCE: `
        INSERT INTO SALDOCONS
            (CDCLIENTE, CDCONSUMIDOR, CDFAMILISALD, VRSALDCONFAM)
        VALUES
            (:CDCLIENTE, :CDCONSUMIDOR, :CDFAMILISALD, :VRSALDCONFAM)
`,
UPDATE_BALANCE: `
      UPDATE SALDOCONS
         SET VRSALDCONFAM = :VRSALDCONFAM
      WHERE CDCLIENTE = :CDCLIENTE
        AND CDCONSUMIDOR = :CDCONSUMIDOR
        AND CDFAMILISALD = :CDFAMILISALD
`,
GET_BONUS_RECHARGE_ORIGIN: `
      SELECT VRCARGACREDITO, VRBONUSCREDITO, VRSALDCONSBONUS,
             IDPERIODOBONUS, CDTIPORECE, QTRECARGASMES
        FROM TIPOCONSFILI
       WHERE CDFILIAL = :CDFILIAL
         AND CDTIPOCONS = :CDTIPOCONS
         AND CDTIPORECEORIGEM = :CDTIPORECEORIGEM
         AND IDRECEBEBONUS = 'S'
`,
GET_TRANSACTION_DATE_F: `
        SELECT MIN(DTMOVEXTCONS) AS DTMOVEXTCONS FROM EXTRATOCONS
        WHERE CDCLIENTE = :CDCLIENTE
        AND CDCONSUMIDOR = :CDCONSUMIDOR
`,
GET_CONSUMER_NRORG: `
        SELECT NRORG
        FROM CONSUMIDOR
        WHERE CDCLIENTE = :CDCLIENTE
        AND CDCONSUMIDOR = :CDCONSUMIDOR
`,
GET_SALDO_ALL_FAMILIES: `
        SELECT C.CDCLIENTE, C.NRORG, C.CDCONSUMIDOR,C.CDFAMILISALD,F.DTMOVEXTCONS, F.VRSALDCONEXT AS VRSALDCONEXT, C.NRORG
          FROM (SELECT C.CDCLIENTE, C.NRORG, C.CDCONSUMIDOR,F.CDFAMILISALD
                  FROM CONSUMIDOR C, FAMILIASALDO F
                 WHERE ((CDCLIENTE = :CDCLIENTE) OR (:TCDCLIENTE = 'T' ))
                   AND ((CDCONSUMIDOR = :CDCONSUMIDOR) OR (:TCDCONSUMIDOR = 'T'))
               ) C
          LEFT JOIN (SELECT E.CDCLIENTE,E.CDCONSUMIDOR,E.CDFAMILISALD,E.DTMOVEXTCONS, E.VRSALDCONEXT, E.NRORG
                       FROM EXTRATOCONS E, (SELECT E.CDCLIENTE,E.CDCONSUMIDOR,E.CDFAMILISALD,D.DTMOVEXTCONS, MAX(E.NRSEQMOVEXT) AS NRSEQMOVEXT, E.NRORG
                                              FROM EXTRATOCONS E, (SELECT CDCLIENTE,CDCONSUMIDOR,CDFAMILISALD,MAX(DTMOVEXTCONS) AS DTMOVEXTCONS, NRORG
                                                                     FROM EXTRATOCONS
                                                                    WHERE ((CDCLIENTE = :CDCLIENTE) OR (:TCDCLIENTE = 'T'))
                                                                      AND ((CDCONSUMIDOR = :CDCONSUMIDOR) OR (:TCDCONSUMIDOR = 'T'))
                                                                      AND (DTMOVEXTCONS < :DTMOVEXTCONS)
                                                                    GROUP BY CDCLIENTE,CDCONSUMIDOR,CDFAMILISALD, NRORG
                                                                  ) D
                                              WHERE E.CDCLIENTE    = D.CDCLIENTE
                                                AND E.CDCONSUMIDOR = D.CDCONSUMIDOR
                                                AND E.CDFAMILISALD = D.CDFAMILISALD
                                                AND E.DTMOVEXTCONS = D.DTMOVEXTCONS
                                                AND E.NRORG        = D.NRORG
                                              GROUP BY E.CDCLIENTE,E.CDCONSUMIDOR,E.CDFAMILISALD,D.DTMOVEXTCONS, E.NRORG
                                           ) DT
                      WHERE E.CDCLIENTE     = DT.CDCLIENTE
                        AND E.CDCONSUMIDOR  = DT.CDCONSUMIDOR
                        AND E.CDFAMILISALD  = DT.CDFAMILISALD
                        AND E.DTMOVEXTCONS  = DT.DTMOVEXTCONS
                        AND E.NRSEQMOVEXT   = DT.NRSEQMOVEXT
                        AND E.NRORG         = DT.NRORG
                    ) F
                 ON C.CDCLIENTE    = F.CDCLIENTE
                AND C.CDCONSUMIDOR = F.CDCONSUMIDOR
                AND C.CDFAMILISALD = F.CDFAMILISALD
                AND C.NRORG        = F.NRORG
              ORDER BY C.CDCLIENTE,C.CDCONSUMIDOR,C.CDFAMILISALD
`,
GET_SALDO_FOR_FAMILIES: `
        SELECT CDCLIENTE, CDCONSUMIDOR, CDFAMILISALD, DTMOVEXTCONS, NRSEQMOVEXT, IDTPMOVEXT, DSOPEEXTCONS, VRMOVEXTCONS, VRSALDCONEXT, 0 AS SALDOFINAL, NRORG
          FROM EXTRATOCONS
         WHERE CDCLIENTE     = :CDCLIENTE
           AND CDCONSUMIDOR  = :CDCONSUMIDOR
           AND CDFAMILISALD  = :CDFAMILISALD
           AND DTMOVEXTCONS >= :DTMOVEXTCONS
           AND NRORG         = :NRORG
         ORDER BY CDFAMILISALD, DTMOVEXTCONS
`,
ATUALIZA_MOVIMENTACAO_EXTRATO: `
        UPDATE EXTRATOCONS
           SET VRSALDCONEXT = :SALDOFINAL
         WHERE CDCLIENTE    = :CDCLIENTE
           AND CDCONSUMIDOR = :CDCONSUMIDOR
           AND CDFAMILISALD = :CDFAMILISALD
           AND DTMOVEXTCONS = :DTMOVEXTCONS
           AND NRSEQMOVEXT  = :NRSEQMOVEXT
           AND NRORG        = :NRORG
`,
GET_VERIFICA_SALDO: `
        SELECT CDCLIENTE
          FROM SALDOCONS
         WHERE CDCLIENTE  = :CDCLIENTE
           AND CDCONSUMIDOR = :CDCONSUMIDOR
           AND CDFAMILISALD = :CDFAMILISALD
           AND NRORG = :NRORG
`,
INSERT_SALDO_CONS: `
        INSERT INTO SALDOCONS (CDCLIENTE, CDCONSUMIDOR, CDFAMILISALD, VRSALDCONFAM, NRORG)
        VALUES (:CDCLIENTE, :CDCONSUMIDOR, :CDFAMILISALD, :VRSALDCONFAM, :NRORG)
`,
ATUALIZA_SALDO_CONS: `
        UPDATE SALDOCONS
           SET VRSALDCONFAM = :VRSALDCONFAM
         WHERE CDCLIENTE = :CDCLIENTE
           AND CDCONSUMIDOR = :CDCONSUMIDOR
           AND CDFAMILISALD = :CDFAMILISALD
           AND NRORG   = :NRORG
`,
GET_PAYMENT_PLATFORM_BY_FILIAL: `
      SELECT IDPLATAFORMAPAG
        FROM PARAVEND
      WHERE CDFILIAL = :CDFILIAL
`,
GET_PAYMENT_PLATFORM: `
      SELECT IDPLATAFORMAPAG
        FROM PARAMGERAL
`,
GET_ONLINE_PAYMENT_INFO_BY_FILIAL: `
      SELECT IDLOJAESITEFFIL AS IDLOJAESITEF, CDLOJAESITEFFIL AS CDLOJAESITEF
        FROM PARAVEND
      WHERE CDFILIAL = :CDFILIAL
`,
GET_ONLINE_PAYMENT_INFO: `
      SELECT CDLOJAESITEF, IDLOJAESITEF
        FROM PARAMGERAL
`,
STORE_CREDIT_CARD_TOKEN: `
      INSERT INTO CARTCREDCONS(
        CDCARTCRED, NRSEQBANDEIRA, CDCLIENTE, CDCONSUMIDOR, NRULTNUM, DSTOKEN, IDTPCARTCRED, NMTITULAR, DTEXPIRACAO, CARTCREDMD5
      )
      VALUES(
        :CDCARTCRED, :NRSEQBANDEIRA, :CDCLIENTE, :CDCONSUMIDOR, :NRULTNUM, :DSTOKEN, :IDTPCARTCRED, :NMTITULAR, :DTEXPIRACAO, :CARTCREDMD5
      )
`,
GET_NRSEQBANDEIRA: `
      SELECT NRSEQBANDEIRA, CDTIPORECE
        FROM BANDEIRAESITEF
      WHERE IDESITEF = :IDESITEF
`,
CHECK_DUPLICATED_CREDIT_CARD_TOKEN: `
      SELECT DSTOKEN
        FROM CARTCREDCONS
      WHERE DSTOKEN = :DSTOKEN
`,
DELETE_CREDIT_CARD: `
      DELETE FROM CARTCREDCONS
        WHERE CDCARTCRED = :CDCARTCRED
`,
SET_ALL_CREDIT_CARDS_TO_FLAG_O: `
      UPDATE CARTCREDCONS
        SET IDTPCARTCRED = 'O'
      WHERE CDCLIENTE = :CDCLIENTE
      AND CDCONSUMIDOR = :CDCONSUMIDOR
`,
SET_CREDIT_CARD_TO_FLAG_P: `
      UPDATE CARTCREDCONS
        SET IDTPCARTCRED = 'P'
      WHERE CDCARTCRED = :CDCARTCRED
`,
SAVE_TEMP_RECHARGE: `
      INSERT INTO TEMP_RECHARGE
        (CDCLIENTE, CDFILIAL, CDTIPOCONS, NRTRANSACAO, TIPORECE, NSU, NIT, RECHARGE_VALUES, CDCONSUMIDOR)
      VALUES
        (:CDCLIENTE, :CDFILIAL, :CDTIPOCONS, :NRTRANSACAO, :TIPORECE, :NSU, :NIT, :RECHARGE_VALUES, :CDCONSUMIDOR)
`,
GET_TEMP_RECHARGE: `
      SELECT * FROM TEMP_RECHARGE
      WHERE NRTRANSACAO = :NRTRANSACAO
`,

DELETE_TEMP_RECHARGE: `
      DELETE FROM TEMP_RECHARGE
      WHERE NRTRANSACAO = :NRTRANSACAO
`,
CHECK_TEMP_RECHARGE_CONS: `
      SELECT * FROM TEMP_RECHARGE
      WHERE CDCLIENTE = :CDCLIENTE
      AND CDCONSUMIDOR = :CDCONSUMIDOR
`,
GET_SUBSCRIPTION_SERVICES: `
SELECT ASS.NRSERVASS, ASS.CDNCSERVASS, ASS.NMSERVASS, ASS.DTVINGINI, ASS.DTVINGFIM, P.FILESERVERURL, ASS.URLARQTERMO, ASS.NRFILASSOC, ASS.VRNCSERVASS, ASSOC.CDFILIAL
  FROM NCSERVASS ASS, NCFILASSOC ASSOC, PARAMGERAL P  
  WHERE ASS.NRFILASSOC = ASSOC.NRFILASSOC
    AND P.NRORG = ASS.NRORG AND ASSOC.CDFILIAL = :CDFILIAL
`,
INSERT_SERVICO_ASSINATURA_CLIENTE: `
    INSERT INTO NCSERVASSCLI
            (CDCLIENTE, CDFILIAL, CDCONSUMIDOR, NRCPFRESPCON, NRSERVASSCLI, VLRASS, DTASSINATURA, IDSTATUSBOLREC)
        VALUES
            (:CDCLIENTE, :CDFILIAL, :CDCONSUMIDOR, :NRCPFRESPCON, :NRSERVASSCLI, CAST(:VLRASS AS NUMERIC(10,2)), :DTASSINATURA, 'P')
`,
INSERT_SERVICO_ASSINATURA_ASSOC: `
    INSERT INTO NCSERVASSASSOC
            (NRSERVASSCLI, NRSERVASS, VRNCSERVASS, NUMPARCELAS)
        VALUES
            (:NRSERVASSCLI, :NRSERVASS, CAST(:VRNCSERVASS AS NUMERIC(10,2)), :NUMPARCELAS)
`,
// GET_INVOICES: `
//     SELECT  CL.NMRAZSOCCLIE AS NOMEPAI, DTVENBOLREC AS VENCIMENTO, VRFINALBREC AS VRBOLETO,
//             (CASE WHEN IDSTATUS = 'A' AND DTVENBOLREC > TRUNC(SYSDATE) THEN 'Vencido'
//                 WHEN IDSTATUS = 'B' THEN 'Liquidado'
//                 ELSE 'Em Aberto' END) AS STATUS
//     FROM BOLETRECASSINA BO, CLIENTE CL
//     WHERE BO.CDCLIENTE = :CDCLIENTE
//     AND BO.CDCLIENTE   = CL.CDCLIENTE
//     AND DTVENBOLREC BETWEEN ADD_MONTHS(TO_DATE('01/'||TO_CHAR(SYSDATE,'MM/YYYY')),-3) AND ADD_MONTHS(LAST_DAY(SYSDATE),3)
// `,
GET_INVOICES: `
    SELECT IDSTATUS, VRFINALBREC, VRJUROS, VRMULTA, DTVENBOLREC, NRLANBOLREC, CDBARRA, DSLINHADIGI, CDCLIENTE
        FROM BOLETRECASSINA
        WHERE CDCLIENTE = :CPFRESPONSAVEL
            AND CDCONSUMIDOR = :CDCONSUMIDOR
            AND DTVENBOLREC <= LAST_DAY(SYSDATE)
            ORDER BY DTVENBOLREC
`,

UPDATE_CREDIT_CARD_INCOME: `
    UPDATE BOLETRECASSINA
        SET IDSTATUS = 'B',
            DTULTATU = SYSDATE,
            CDNSUTEF = :NSU
        WHERE NRLANBOLREC = :NRLANBOLREC
            AND CDFILIAL = :CDFILIAL
`,

UPDATE_PIX_INCOME: `
    UPDATE BOLETRECASSINA
        SET IDSTATUS = 'B',
            DTULTATU = SYSDATE,
            NRAUTORIZAPIX = :NIT
        WHERE NRLANBOLREC = :NRLANBOLREC
            AND CDFILIAL = :CDFILIAL
`,

GET_SUBSCRIBED_SERVICES_BY_CONSUMER: `
    SELECT ASS.NRSERVASSCLI, ASSOC.NRSERVASS FROM NCSERVASSCLI ASS
        JOIN NCSERVASSASSOC ASSOC 
            ON ASS.NRSERVASSCLI = ASSOC.NRSERVASSCLI
        WHERE ASS.CDCLIENTE = :CDCLIENTE
            AND ASS.CDFILIAL = :CDFILIAL
            AND ASS.CDCONSUMIDOR = :CDCONSUMIDOR
            AND ASS.NRCPFRESPCON = :NRCPFRESPCON
`,

GET_RETAIL_GENERAL_PARAMS: `
    SELECT URLLOGO, CORESJSON, URLAPIPAG, MERCHANTID, MERCHANTKEY, PAYMENTCOMPANY, HABCADASTRO, NUMEROAJUDA,
            MAILFALE, RECSENHAMSG, IDIOMAPRINC, IDIOMAADIC, URLAPIFINANCEIRO, URLTERMORESP
        FROM NOCASHPARAMS
`,

GET_RETAIL_SPECIFIC_PARAMS: `
    SELECT CDCLIENTE, CDFILIAL, PAGHABJSON
        FROM NOCASHPARAMSFILI
        WHERE CDCLIENTE = :CDCLIENTE
            AND CDFILIAL = :CDFILIAL
`,

CHECK_HAS_SUBSCRIPTION: `
    SELECT COUNT(ASS.NRSERVASS) AS SERVICOS
        FROM NCSERVASS ASS, NCFILASSOC ASSOC, PARAMGERAL P  
        WHERE ASS.NRFILASSOC = ASSOC.NRFILASSOC
        AND P.NRORG = ASS.NRORG AND ASSOC.CDFILIAL = :CDFILIAL
`,

}

export { queries }
